solvespace (3.1.0+git2222-81f473ff-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 81f473ff18e2b1ffa7de389b7cf76daf1ac739c2
  * Date: 1785326644
  * git changelog:
  *  81f473ff - Free the list of constraints that the solver couldn't
    satisfy.
  *  bfb8a5da - Don't delete the constraints that the solver couldn't
    satisfy.
  *  790bf74c - Web: Enable OpenMP for Emscripten
  *  0ee21036 - Datum point isn't a construction entity
  *  b530cbe3 - Update pyproject.toml
  *  8fb632e3 - CI, macOS: Update bottle fetch command for libomp in
    install-macos.sh
  *  9aeb715e - Fix Gtk-CRITICAL assertion in file chooser when opening
    files
  *  32158eb6 - Update CHANGELOG.md
  *  b27bcf5c - Split Boolean curves at the shell's vertices, not its
    curves' endpoints.
  *  906cf739 - Don't keep Boolean intersection edges that lie along the
    trim boundary.
  *  bbb55707 - Add a regression test for Booleans with a spline surface
    tangent to a face.
  *  d5e8167d - Add the Boolean intersection line where an extruded
    surface is tangent to a plane.
  *  4acd7616 - Add a regression test for Booleans with a fillet surface
    tangent to the shell's faces.
  *  4a24aee8 - Keep the Boolean edge-classification probe distance
    local to the edge.
  *  2534a5ac - Add Boolean intersection edges from tangent intersection
    curves in both directions.
  *  16154533 - Classify edges against faces that meet our surface
    tangentially at a shell edge. Fixes the fillet Boolean failures from
    #1291.
  *  4ce92bbf - Classify edges lying on a knife edge of the shell, where
    more than two surfaces meet edge-on-edge. Fixes the three-prisms
    case from #1091.
  *  35498578 - Add a regression test for Booleans with edges tangent at
    a shell edge.
  *  010d0de3 - Classify edges tangent to the shell at a shell edge,
    instead of using uninitialized memory. Fixes #1619.
  *  2837761b - Fix a data race on into->curve in
    AddExactIntersectionCurve().
  *  2efb82c3 - Qt: Ensure save FileDialog adds suffix (without adding
    new data members).
  *  6f816057 - Added suffix handling for Qt SAVE file dialogs
  *  e377e633 - Update CONTRIBUTING.md
  *  13008e97 - fix WASM CI: fix artifact download path

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 02 Aug 2026 11:46:22 +0000

solvespace (3.1.0+git2198-08fdb359-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 08fdb3596922dc93837578a8cd8cda32e3c83f23
  * Date: 1775666434
  * git changelog:
  *  08fdb359 - Pass Ctrl-= through to browser in web version (fix
    blocked Ctrl-plus)
  *  289651e6 - Remove  and replace it with aggregate initialization
  *  1b1ec830 - fix copy paste error in file.cpp
  *  07017fd0 - Auto-select text in editor input box on web
    (guihtml.cpp)
  *  3e5873e6 - disable right-click on contect menu
  *  5b2e41d4 - CI: Add ping step for solvespace.com in CD workflow
  *  bc2bca8f - CI: Update two more actions we depend on
  *  02458160 - Python: add python v3.14, drop python v3.7, bump
    cibuildwheel
  *  27b6a080 - fix windows single_core paths
  *  6113e1e0 - CI deps update and add support python 3.14 and 3.15
  *  d0b41770 - Windows CI path fixes (#1695)
  *  0a811f31 - Add OIDC to wasmlib workflow
  *  49fe81b3 - WASM action npm version handling + upgrading GH actions
    to latest

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 23 May 2026 19:25:31 +0000

solvespace (3.1.0+git2185-477d4c87-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 477d4c87ca51b9727fbc0765cbd94253c3968b8b
  * Date: 1773685011
  * git changelog:
  *  477d4c87 - Update CHANGELOG.md
  *  e82eb144 - Move and rename QT resources file
  *  b7d13d73 - Embed window icon into executable using Qt resources
  *  baf09930 - Windows 10/11: Fix the button click area in the property
    browser shifting
  *  cab7fd0c - For faces created by lathe and revolve, use a point in
    the same group. We also need to check for draggability of face
    points before adding them to the drag list.
  *  1a98aa05 - check face point handles before doing remap. Older files
    may not have the handle.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 22 Mar 2026 11:37:13 +0000

solvespace (3.1.0+git2179-02ec4e57-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 02ec4e57aa90f70052f6a312aa5c286a64a7ec90
  * Date: 1770245809
  * git changelog:
  *  02ec4e57 - When extruding a line to face, use a point in new group
    for the face. Using one from the previous group causes subsequent
    translate groups to have undraggable faces and possibly other
    problems.
  *  e74c2eae - Update CHANGELOG.md
  *  d14609fa - WASM lib: fix compilation with Emscripten
  *  6c0273ff - Change CXX standard using property
  *  457aec97 - Clean up some comments. Also use a point for extusion
    side faces from the original line.
  *  2ee0cc6b - update test suite with new versions of two slvs test
    files.
  *  1cec22f5 - Enable face dragging for translate groups. Add the
    necessary handles for face dragging linked sketches. In mouse.cpp
    StartDraggingByEntity needs some face types uncommented to enable
    different face dragging options. All rotational face drags are
    disabled because the points used for those faces are on-axis(I
    think), this needs to be changed for those faces to be more useful.
  *  37484dc1 - Set C++ standard based on EMSCRIPTEN condition (#1665)
  *  619d6bde - Update the year to 2026 in the About dialog and Windows
    version resource.
  *  1fd9c075 - Qt: Enable fontconfig use.
  *  47f1b079 - flatpak: Update SDK to 25.08 and update deps. Build
    things as release or relwithdebinfo.
  *  c4810067 - metainfo: Add developer_name tag, extend first line of
    description
  *  229ed497 - QT, Win32: The QT GUI now compiles on Windows and
    loading/saving works...
  *  ac932ab0 - CMake: fix CMake system include directives
  *  fdb80e3e - Fix: macOS points not draggable
  *  a509d662 - Fix: macOS test action not work

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 07 Feb 2026 19:52:41 +0000

solvespace (3.1.0+git2163-de2c5fee-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: de2c5feec8824dd988c3ed382795031a58de8a5c
  * Date: 1765894888
  * git changelog:
  *  de2c5fee - Add QT front end option for Linux builds
  *  d8ca8e27 - Add thumbnailer
  *  eaefb5d4 - Qt: Request a specific GL version so GLES doesn't get
    used on Wayland.
  *  7312dd75 - Qt: Force LC_NUMERIC locale so ReadFloatDecimal will
    work everywhere.
  *  c3becb1a - Update README for QT build
  *  862026c5 - CMakeLists: Rename Qt binary to solvespace-qt.
  *  aec7ee5b - Update build instructions in README to include QT front
    end.
  *  ab8c7b74 - Qt: Fix GCC 11 -Wmaybe-uninitialized warning.
  *  edc20c42 - Qt: Fix mouse & key event modifiers.
  *  e92e98ed - Qt: Fix pixel ratio handling in OpenGL widgets for
    Wayland and Qt 6.
  *  585a1bef - CMakeLists: Enable building with Qt 6.
  *  b78e8013 - Fully implement Qt 5 & 6 backend for Linux.
  *  6dedc4a4 - Added Qt port related files in src/platforms ( guiqt.cpp
    and qglmainwindow.h
  *  e3f21de9 - Implement dragging of extrude length by the end face.
    Also allows circular surfaces create by Lathe or Revolve to drag the
    previous group line that swept out the surface - this was unexpected
    but cool. Dragging other faces will need investigation as indicated
    in the comments.
  *  0aa9131d - Fix IDF import when units are THOU by actually using the
    scale specified in the file.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 27 Dec 2025 13:23:34 +0000

solvespace (3.1.0+git2148-925a5273-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 925a52735cb2b04fed4831a3a65d2a570e2c0e20
  * Date: 1762977830
  * git changelog:
  *  925a5273 - guigtk: make double click handling consistent with
    Windows and macOS
  *  2e0c9478 - Fix email
  *  bb05b68c - Add mailmap

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 22 Nov 2025 15:36:00 +0000

solvespace (3.1.0+git2145-01f58b78-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 01f58b785d394a4f9e206457972218459fb85666
  * Date: 1760870333
  * git changelog:
  *  01f58b78 - ci: use the Sequoia bottle tag for the macOS x86_64
    build as well
  *  fb81de85 - ci: fix the macOS CI build
  *  ae82fdf0 - cairo: update to 1.18.4
  *  76df625e - pixman: update to 0.46.4
  *  1436d2c0 - tests: reduce dependence on  in order to reduce build
    time
  *  eb27cde8 - handle: extract handle-related code from dsc.h
  *  88270d3d - general: rework the way files are included for better
    maintainability
  *  89aa5964 - add missing else statement in Slvs_MarkDragged_check

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 30 Oct 2025 19:12:19 +0000

solvespace (3.1.0+git2137-8f37db9c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 8f37db9ceca96bc24a1b8babccbaec7b1d4134e8
  * Date: 1757417280
  * git changelog:
  *  8f37db9c - Translations: update Chinese translation.
  *  74a13ef6 - tests: actually randomise the order of tests
  *  2fd3989c - ci: enable building with ASan on Windows for testing
  *  f5e500c6 - build: allow enabling ASan on Windows with MSVC
  *  1bf11371 - mimalloc: add a hack to fix building for Emscripten
  *  c34d2325 - mimalloc: downgrade to v2.2.2 to fix the Python build
    issue on Linux
  *  462140aa - slvs: don't mark  constraints as dragged
  *  cb561ba5 - build: silence maybe uninitialised warnings
  *  de634d93 - group: add an explicit assertion for too many entities
  *  767935fe - libdxfrw: Update the submodule to the latest version
    from LibreCAD
  *  592edbdc - extlib: update libpng to v1.6.50
  *  b9a9e268 - extlib: update mimalloc to v2.2.3
  *  0bf9cbb7 - extlib: update zlib to v1.3.1
  *  7627b859 - build: fix building with OpenMP on macOS

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 11 Sep 2025 09:22:22 +0000

solvespace (3.1.0+git2123-1b5036a4-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 1b5036a4c469643c83493d9f7931d2c282c0d937
  * Date: 1751546831
  * git changelog:
  *  1b5036a4 - split: fix line splitting to avoid creating zero length
    line segments

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 10 Aug 2025 07:08:37 +0000

solvespace (3.1.0+git2122-960f08b3-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 960f08b34ca5f5db30c3981d1708897bac156c35
  * Date: 1751546111
  * git changelog:
  *  960f08b3 - split: fix line splitting for lines intersecting at
    their endpoints
  *  454f620e - CI, Web: Build the Web (Emscripten) version...
  *  0ec78f79 - emscripten: fix resource paths during packaging
  *  14af3993 - Add links to the 64bit Windows versions in README.md
  *  e19bdf81 - CI, Win32: Add x64 (64bit) binaries for Windows
  *  910243b3 - Update CHANGELOG.md
  *  fb42f1ba - slvs: support getting the bad constraints in the sketch
    solving API
  *  cbe18bb4 - slvs: bring back accidentally removed Emscripten binding
    for uint32_t[4]
  *  2989b9e3 - Win32: Make SolveSpace grea...static again
  *  0df1ba74 - Fix typos
  *  a2d9b799 - CI: Update the windows-2019 runner image to windows-2022
  *  abb57142 - Set the version to 3.2 in CMakeLists.txt
  *  ce3a7d14 - Update CHANGELOG.md
  *  7be54118 - STEP export: fix broken export - s are properly
    oriented.
  *  de6e3d1d - STEP export: do not add unused  entities to exported
    file.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 03 Aug 2025 08:02:20 +0000

solvespace (3.1.0+git2107-8b34a075-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 8b34a075fb72e0a2ec623fd209c17696e34b61be
  * Date: 1748617665
  * git changelog:
  *  8b34a075 - STEP Export: round point coordinates to 5 decimal
    places.
  *  d1b52cd6 - Colour aware step export.
  *  8c301f3a - Final polishing for the duplication check in
    exportstep.cpp
  *  a11a8f8e - Refactoring exportstep.cpp
  *  af4dea68 - Code style and polishing for exportstep.cpp
  *  bb6cc1a0 - upgraded exportstep.cpp
  *  60d0dab0 - general: use the ParamList and EntityList type aliases
  *  2602edcb - generate: add minor optimisation to request and
    constraint pruning
  *  9c3f489b - generate: change  and  to prune all items
  *  322dbece - generate: avoid message box avalanche on Windows during
    regeneration
  *  2c5bb5d4 - Fix and arc creation error when linking IDF files. For
    negative angles we need to use the absolute value of the angle. Also
    simplify the formula for center distance calculation.
  *  8042810d - build: fix link error when building on Windows with
    Clang (not clang-cl) - Fix elseif from the previous commit.
  *  0161026a - build: fix link error when building on Windows with
    Clang (not clang-cl)
  *  e1d7dc3c - build: clean up the workaround for building zlib in
    Emscripten
  *  8cff14a2 - expr: fix the value of
  *  3527d41d - system: make  a local member
  *  fb9dff15 - expr: convert ParamsUsedList() to std::unordered_set
  *  0eb1a122 - system: convert dragged to std::unordered_set
  *  8012e75e - slvs: avoid orphaning params in the sketch with the
    sketch solving API
  *  e8f6ea39 - freetype: update the submodule URL to the official
    GitHub mirror
  *  30da776a - build: fix MinGW build failures and update documentation
  *  4b407943 - docs: minor correction to the contribution guide and
    update references
  *  ed5e0b43 - slvs: resolve GCC warning about unused variables
  *  435309f5 - slvs: avoid Windows export/import directives when
    compiling as a static lib
  *  2e979914 - build: support getting git hash when imported as a
    submodule
  *  59ba8a5e - general: fix compiler warning about object construction
    and assignment
  *  cbcc5f58 - slvs: don't try to initially satisfy unsupported
    constraints
  *  27d1d119 - ci: fix the broken Python and WASM library builds
    (#1565)
  *  e539385e - Web, CMake: Fix the copying of resources into the build
    directory
  *  2a455285 - build: add a workaround for building zlib in Emscripten
  *  3ac128d9 - emscripten: fix build issues and make the interface
    functional
  *  f6865acd - CDemo: re-enable the  example
  *  0c667c72 - slvs: allow dragging more than 4 parameters
  *  9bfe014f - slvs: remove the unused  member
  *  7ceb7fac - slvs: extract the code and the CMake config out of the
    main build

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 11 Jun 2025 19:57:30 +0000

solvespace (3.1.0+git2066-cc871ab0-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: cc871ab0aea7928defeb7e33158211696312bec1
  * Date: 1741993018
  * git changelog:
  *  cc871ab0 - FreeType: disable PNG compressed OpenType embedded
    bitmaps.
  *  bd7b6278 - freetype: update the vendored version to 2.13.3
  *  f9e564cb - slvs: return a distinct value for  (#1542)
  *  9aa4426b - solvespace.h: Quiet std::iterator is deprecated warnings
    with C++17.
  *  b4a79739 - clipboard.cpp: Fix GCC -Wimplicit-fallthrough= warning.
  *  c9e52394 - dsc.h: Eliminate circular include of solvespace.h.
  *  7377c500 - build: fix CMake system include directives
  *  a5d40f81 - Fix PyPi publishing (#1534)
  *  29f9a918 - Updated the Russian translation (#1528)
  *  5bfa5ba2 - ci: update the  action to v2.22.0 (#1533)
  *  da133cd9 - python: fix issues with type annotations in the Cython
    bindings (#1530)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 25 Mar 2025 19:22:26 +0000

solvespace (3.1.0+git2053-f09bbb96-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: f09bbb96168120dd7a91802d5a0d246312df35dd
  * Date: 1738937624
  * git changelog:
  *  f09bbb96 - Add showing 'only unconstrained' groups
  *  7fff8051 - CI: Fix WASM library CI
  *  90039d1b - CI: Fix Python CI
  *  3b5f98a7 - mac: don't crash on file ops without changing dir
  *  79cd8be6 - Update ja_JP translation.
  *  f8bed4aa - Translation updates (Turkish TR) (#1522)
  *  70e79332 - CI: update Python CI targets for macos-x86_64 and macos-
    arm64
  *  4468c03f - Update cs_CZ.po
  *  b8e479dc - Translations: update French translation. (#1516)
  *  495b2037 - Add a forgotten  statement. Should be and NFC.
  *  475c8889 - translated new messages to Ukrainian
  *  613f5bbb - Translations: update all other languages
  *  60b297f3 - Translations: update German and Russian
  *  ac66cbcc - Translations: update Spanish
  *  ee840727 - Tanslations: update main translation file and English
  *  5522e621 - Update the Spanish translation es_AR
  *  1080450b - Fix crash when linking .STL and .EMN files with
    extensions in capital letters (#1511)
  *  3044aef2 - Update the year to 2025 in the About dialog and Windows
    version resource.
  *  94d922c0 - Web: Fix compilation with current Emscripten

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 08 Feb 2025 15:42:41 +0000

solvespace (3.1.0+git2034-30e42ca8-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 30e42ca889b20b6af65d601524085fd812c91662
  * Date: 1733832470
  * git changelog:
  *  30e42ca8 - Extlib fixups and macOS framework finding fix (#1502)
  *  bcf9bf7e - Hotfix for publishing wasmlib
  *  a208201c - Stateful C library + Python bindings (using cython) and
    JS bindings (using embind) (#1343)
  *  33f9cf95 - Make the animation speed configurable (#1500)
  *  8c4ac6ee - Update CHANGELOG.md
  *  f4cfb60a - Make the skewed option for extrusions a check box
  *  7d15f94c - Add skewed subtype for extrusion groups. Update the
    textwindow radio buttons and equation generation.
  *  eedfc653 - GUI: Allow ESC to finish drawing bezier curves instead
    of deleting them.
  *  d97b9bed - Allow tangent on arcs/lines/splines without coincident
    endpoints.
  *  dedc6d48 - Make pasting mirrored tangent entities independent of
    end point knowledge

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 10 Dec 2024 19:01:57 +0000

solvespace (3.1.0+git2024-bb160669-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: bb160669721e10096dc17427422ea465a7ec2b72
  * Date: 1730817060
  * git changelog:
  *  bb160669 - Win32: the Property Browser remains visible when going
    full screen (CTRL-F11)
  *  94bf579e - Update CHANGELOG.md

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 11 Nov 2024 10:10:33 +0000

solvespace (3.1.0+git2022-c619fa9f-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: c619fa9f1f5eaaa60eea0f08770a04e703e51115
  * Date: 1728283751
  * git changelog:
  *  c619fa9f - GTK: Fix wrong direction of zoom when smooth scrolling
    with mouse wheel
  *  5528da7f - Fix saving assemblies when opened with a relative path
    on the command
  *  f2a2e234 - Use  in a predicate
  *  da2ed88a - Use  in a few for loops that were not doing it.
  *  a31a89a2 - Fix saving assemblies when opened with a relative path
    on the command line.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 07 Oct 2024 16:45:23 +0000

solvespace (3.1.0+git2017-9fb6ade-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 9fb6ade06bc271ba1196b79a6ed3d1eebcea9609
  * Date: 1725972013
  * git changelog:
  *  9fb6ade - Win32: Fix warning...

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 14 Sep 2024 13:04:32 +0000

solvespace (3.1.0+git2016-9dc81f7-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 9dc81f7d924c8dbfb6262e480b802c3d5065496d
  * Date: 1724419888
  * git changelog:
  *  9dc81f7 - NFC: Remove ToDo comment that appears to be done
  *  cec40e2 - CI: try styfle/cancel-workflow-action@0.12.1 to fix
    cd.yml
  *  3871b41 - Add � to the U+FFFD (REPLACEMENT CHARACTER) in
    unicode.lff
  *  e255ea0 - Update the Unicode vector font unicode.lff
  *  a17fb15 - GTK: Handle smooth scrolling according to the
    documentation
  *  31d0c27 - Handle smooth scrolling

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 24 Aug 2024 18:05:22 +0000

solvespace (3.1.0+git2010-2afabad-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 2afabadfa5e21ad37dfcac24cf8244e2ffcdbd78
  * Date: 1719410615
  * git changelog:
  *  2afabad - CI: Update actions to avoid warnings and Flatpak build
    error.
  *  40a1fdc - Implement basic kerning when rendering text. Only old-
    style  tables are supported--modern GPOS-based kerning is not
    supported.
  *  cc64fed - Change show full file path in the window title to display
    the full path in the title bar
  *  71ad5cb - Add preference to toggle file path in title bar
  *  8f40d8f - add tool to make sentece sensical

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 29 Jun 2024 18:46:25 +0000

solvespace (3.1.0+git2005-569ac27-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 569ac27dd768612fb9b09b80295ef1439098defd
  * Date: 1713715194
  * git changelog:
  *  569ac27 - Temporarily disable snap
  *  d0a201e - Maybe fix macOS notarization
  *  656afaa - Try to build macOS with new app-specific-password secret
  *  a17ee17 - Try to use notarytool
  *  7310659 - Update the year to 2024 in the About dialog and Windows
    version resource.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 24 Apr 2024 17:32:18 +0000

solvespace (3.1.0+git2000-7d379e7-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 7d379e7f3b045ae579537abd392d5b368a4117e5
  * Date: 1704305489
  * git changelog:
  *  7d379e7 - Updated uk-UA locale; fixed typos; added translations
  *  f25bf39 - fixed pt-line distance constraint bug on paste
    transformed
  *  ddeab11 - Bypass desktop portal in Snap
  *  1f8b3f2 - Make arc default dimenision (radius vs diameter) a
    configuration option.
  *  1a71ca7 - Dimesions on arcs defaut to radius instead of diameter

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 04 Jan 2024 17:03:56 +0000

solvespace (3.1.0+git1995-486e43a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 486e43a450a158a9e5314a1fa954897c450b3a20
  * Date: 1702576281
  * git changelog:
  *  486e43a - Codespell fix

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 23 Dec 2023 13:09:30 +0000

solvespace (3.1.0+git1994-3e5f983-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 3e5f9834d7981b2516c5a022bd1b201b5b792b6d
  * Date: 1702046862
  * git changelog:
  *  3e5f983 - Add allocate function as emscripten dep
  *  94618d4 - CI, macOS: Update dead links to libomp in  dependency
    installer

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 09 Dec 2023 08:23:55 +0000

solvespace (3.1.0+git1992-727b015-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 727b0153f6d07f9031862a4e2ecb0f4d30e87b8e
  * Date: 1700728053
  * git changelog:
  *  727b015 - Update CHANGELOG.md
  *  87d0e09 - CTRL-TAB un/hides the toolbar
  *  d88ed3f - Adjust the test suite to match the new behaviour of
    Path::Join.
  *  6f7e45b - Fix invalid parts linkage in assemblies when the folder
    has only one char.
  *  d5e8a82 - Fix opening of assembly groups with relative (empty)
    paths.
  *  5edc1ec - Images are construction by default
  *  7038266 - Do not include construction images in
    extrude/lathe/revolve/helix

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 25 Nov 2023 09:22:26 +0000

solvespace (3.1.0+git1985-e7c0c16-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: e7c0c1665f1684bb3195107147aaf254c852fa44
  * Date: 1697307398
  * git changelog:
  *  e7c0c16 - GTK: Eliminate direct references to gdk event struct
    members in prep for moving to GTK4.
  *  0d26ca1 - UI: Make marquee selection of line segments precise

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 28 Oct 2023 20:04:48 +0000

solvespace (3.1.0+git1983-9edf2bc-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 9edf2bcc345104b492b795dd34950e1e7943118a
  * Date: 1695992540
  * git changelog:
  *  9edf2bc - Win32: Fix for compiling with MinGW.org GCC-6.3.0-1
  *  f399997 - Speed up view change animations
  *  1963a83 - Improve boolean difference operations...

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 06 Oct 2023 21:48:54 +0000

solvespace (3.1.0+git1980-1919a18-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 1919a18916f93ea12cea7db2d2f42c0c2b8e8e7d
  * Date: 1695215720
  * git changelog:
  *  1919a18 - Fix language bug
  *  e6565c8 - Debug issue with notarization
  *  beb473b - Ask before overwriting existing file

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 21 Sep 2023 20:32:21 +0000

solvespace (3.1.0+git1977-36ecb85-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 36ecb85bb381235521f7e0e1b913d65308878f48
  * Date: 1692014817
  * git changelog:
  *  36ecb85 - Update the issue template to show where to look for
    SolveSpace version on macOS
  *  88e4d08 - Update test.yml with ubuntu-latest and macos-latest
  *  95b00bd - Fix CI for Ubuntu and MacOS (#1388)
  *  0e2fd2e - Update CHANGELOG.md
  *  b34d9a2 - Delete the partially drawn entity when ESC is pressed on
    pending operations by using UndoUndo()

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 15 Aug 2023 20:07:32 +0000

solvespace (3.1.0+git1972-f0912d4-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: f0912d42b1e6447b0857d0408fe69e7c85d9bb73
  * Date: 1689341553
  * git changelog:
  *  f0912d4 - UI: Remove shortcut key collisions in the Sketch menu
  *  3d04d4c - skip duplicate drilled holes
  *  7ccb0ff - UI: Add Ctrl+Shift+S keyboard shortuct for Save As

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 14 Jul 2023 19:31:37 +0000

solvespace (3.1.0+git1969-fd25424-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: fd25424ab5e5a1c4158c1e65b33b6568b5f9bc2b
  * Date: 1684685975
  * git changelog:
  *  fd25424 - small simplifications
  *  604335f - rename the enums for surface classification in the SShell
    class.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 10 Jun 2023 04:13:48 +0000

solvespace (3.1.0+git1967-2e2aceb-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 2e2aceb5eddb2dfd77296ce0325ddf4cfe836885
  * Date: 1683217680
  * git changelog:
  *  2e2aceb - Chinese transalation updated (#1365)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 19 May 2023 19:58:08 +0000

solvespace (3.1.0+git1966-aa0d25e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: aa0d25e6ae7e718aa90365a39f4eccdecd62d42f
  * Date: 1680642149
  * git changelog:
  *  aa0d25e - Update Russian translation (#1355)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 08 Apr 2023 21:55:51 +0000

solvespace (3.1.0+git1965-659215d-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 659215d84c7136697e7bf1eb3c566c2ce7f7bfeb
  * Date: 1679045832
  * git changelog:
  *  659215d - Translations: update Spanish
  *  7161a2a - Translations: update Japanese
  *  b69d565 - Translations: update Turkish
  *  9e043c6 - UI: Fix typo in the Angle constraint hint.
  *  dab6e17 - Translations: update all other languages
  *  d63047d - Translations: update English
  *  0305f9a - Translations: update German and Russian
  *  69ded97 - Update the year to 2023 in the About dialog and Windows
    version resource.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 24 Mar 2023 20:18:57 +0000

solvespace (3.1.0+git1957-25b5977-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 25b5977962449a734721c667b5347831e8aaa109
  * Date: 1677617376
  * git changelog:
  *  25b5977 - Fix a crash when constraining a line segment symmetric

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 04 Mar 2023 20:06:09 +0000

solvespace (3.1.0+git1956-d6e9709-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: d6e970918f5ea77757a6d21da8b11f9c66882422
  * Date: 1675443136
  * git changelog:
  *  d6e9709 - Fix MessageBox Avalanches due to Message blocking
  *  3c91bf7 - Add config option for camera rotation navigation
  *  302aebf - quiet some compiler warnings
  *  e4fcb7d - stop using deprecated gtk_show_uri on Linux
  *  0c28adc - eliminate possible use before set warnings
  *  8117a21 - Revert legacy snapstore key
  *  9ee9aa7 - Treat a linked group as mesh-only if it has a Mesh but no
    Shell.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 10 Feb 2023 19:14:31 +0000

solvespace (3.1.0+git1949-b556daa-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: b556daaf74c31cf141c15dbeadd2f600770e242e
  * Date: 1674056648
  * git changelog:
  *  b556daa - Tanslations: update main translation file
  *  3f11bbe - Translations: change contact informatuion in Report-Msgid-
    Bugs-To:
  *  10c6c09 - Chinese translation updated.
  *  9282b40 - UI: Make the new dimensions only mode icons consistent
    with the rest.
  *  60cd95d - Dimension constraints only display mode improvements
  *  a0219b2 - dimonly fix
  *  4a34253 - Don't try to drag points with pt-coincident constraint to
    a previous group. Fixes #1012 and makes dragging as done in one of
    the tutorials possible again.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 27 Jan 2023 21:56:20 +0000

solvespace (3.1.0+git1942-b4be656-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: b4be656f251301fd730fad1533461b4361ce9ced
  * Date: 1673470710
  * git changelog:
  *  b4be656 - Update CHANGELOG.md
  *  7b6a85d - UI: Add constraining multiple points coincident
  *  6487fb8 - UI: Adjust the menu items Angle and Equal... to match
    current state.
  *  bacc0b6 - UI: Adjust the hints for creating constraints
  *  3ee3561 - Update CHANGELOG.md
  *  a1be8a8 - Update CHANGELOG.md
  *  f22ebf2 - UI: Adjust the hints for creating constraints
  *  20e3d15 - Use N for equal angle constraints. Allows 3 or 4 line
    segments to be set equal length all at once.
  *  10cb310 - Try to use SNAPCRAFT_STORE_LEGACY_CREDENTIALS for now
  *  1827d15 - Fix snap release (#1323)
  *  a71e4be - allow equal angle constraints when 3 or 4 lines selected.
    Variadic constraints broke this feature by make equal length lines
    in those cases.
  *  3833dd0 - Allow point-on-face for up to 3 faces at once
  *  3609f8a - Use a lambda to list selected faces when multiple faces
    are selected.
  *  aee47a4 - Clean up face selection code
  *  adb2768 - Draw up to three selected faces
  *  7d5eaff - Add ability to select 3 faces
  *  105a350 - change/fix some undo behavior in variadic constraints
  *  0db1f6b - Fix H/V constraints on points and allow more than 2
    points
  *  a580989 - fix several crashes on constraint creeation
  *  3d3d5c7 - Sync multiconstraint with current state

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 13 Jan 2023 20:59:14 +0000

solvespace (3.1.0+git1922-50cbecb-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 50cbecbe7249a1a47561fca33919a08db7970e49
  * Date: 1667702044
  * git changelog:
  *  50cbecb - Web: Adjust the scroll wheel sensitivity for zooming.
  *  6fc84ae - Web: Remove the device pixel ratio workaround for Android
    tablets.
  *  c53c592 - Platform: Fix GUI scaling on devices with non-integer
    pixel ratio
  *  31ac808 - ru_RU: Enhance russian translation
  *  1603402 - Web: Improve file dialog.
  *  4981570 - Web: Improve touch support and layout.
  *  b5cde57 - Web: Some fix for critical runtime error and cleanups.
  *  cf59727 - Web: Initial support for touch devices.
  *  64948c4 - Web: Add opening/saving file support.
  *  56b9d36 - Remove superfluous #include <iostream> introduced in
    4fc0141
  *  4fc0141 - [Graphics][Bugfix] Nearest Isometric respects turntable
    navigation
  *  d50e2b2 - Fix Constraintes type in French locale
  *  5c89961 - fr_FR: Replace straight quotes with angular quotes
  *  d1d7ae6 - fr_FR: Add missing translations, and review existing
    ones.
  *  fc55990 - fr_FR: Complete menu translation and fix inconsistencies
  *  014dd43 - fr_FR: Fix spacing before punctuation marks
  *  08c787f - fr_FR: Change list item prefix

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 08 Nov 2022 20:06:53 +0000

solvespace (3.1.0+git1905-3dc4d0e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 3dc4d0e640666b27abe5123979f89717bd0ae06a
  * Date: 1666133499
  * git changelog:
  *  3dc4d0e - Allow all linkable files as missing files to fix #1297
  *  6b9e7b2 - CMake: Add FindCairo.cmake to fix build on FreeBSD

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 30 Oct 2022 14:54:39 +0000

solvespace (3.1.0+git1903-574fc01-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 574fc0190a4c721455eb8817ed4d4f6265196c60
  * Date: 1665510913
  * git changelog:
  *  574fc01 - Fix inconsistent French translation of Rotate Imported
  *  a873cee - Fix typos
  *  f9a7a96 - Fix French translations of Step

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 15 Oct 2022 21:04:32 +0000

solvespace (3.1.0~git1900-bce25bb-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: bce25bb0e2811d5a1b40d305d0e35ec7252d58b1
  * Date: 1662222774
  * git changelog:
  *  bce25bb - README: Move the check out instructions to one place.
    (#1285)
  *  f741504 - Web: Emscripten port updated to current tools. Add saving
    of options in local storage.
  *  5ca6d04 - Add a very experimental Emscripten port.
  *  cf4defc - mac: Distinguish trackpad from Magic Mouse scroll (#1274)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 07 Sep 2022 20:30:48 +0000

solvespace (3.1.0~git1896-c65e31b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: c65e31bece75691be35919ef851690eba1a831c8
  * Date: 1660067340
  * git changelog:
  *  c65e31b - snap: Port to core22

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 13 Aug 2022 23:00:18 +0000

solvespace (3.1.0~git1895-bc4244e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: bc4244e0990af31ff326a72e2152fed662fca3e9
  * Date: 1657323796
  * git changelog:
  *  bc4244e - Win32, MSVC: Enable Multi-processor Compilation (/MP)
    with Visual Studio
  *  ce6c4dd - Update README to point to flathub now too.
  *  29263a8 - Update AppStream metadata.
  *  6951c71 - Add a github action to build flatpaks
  *  e6e217b - flatpak: Keep CLI enabled
  *  1c5db4d - flatpak: Cleanup: Update and move module specific value
    to module cleanup arrays
  *  2d19afa - flatpak: Cosmetics
  *  63e420e - flatpak: finish-args: Drop unsupported JSON comment and
    cosmetics
  *  c7dbd54 - flatpak: libjson-c: Enable threading and disable static
    libs
  *  2fdcf22 - flatpak: gtkmm: Avoid building demos and tests
  *  d5f4e6f - flatpak: Use meson buildsystem where possible
  *  356e675 - flatpak: Add eigen module
  *  8314d74 - flatpak: Update modules to latest versions
  *  fef5cc4 - flatpak: Add f-e-d-c properties to depends, retain
    comments, and cosmetics
  *  4a210bd - flatpak: Update runtime to 21.08
  *  c4522db - flatpak: Update manifest.
  *  c2f65ca - Fix whitespace and trailing newline in github actions
    files.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 24 Jul 2022 21:31:04 +0000

solvespace (3.1.0~git1878-b533360-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: b5333608e9d4826fcb6dc497a9e94e162267a84c
  * Date: 1657030019
  * git changelog:
  *  b533360 - Stamp source tarballs with the commit hash
  *  d6e1b23 - Win32: Allow 32 bit SolveSpace to access up to 4GB of
    RAM.
  *  3b133bf - czech translations
  *  c20c4da - Add ja-JP translation.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 06 Jul 2022 20:25:46 +0000

solvespace (3.1.0~git1874-1e1e655-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 1e1e6558485145f86260bd97ab863d1a59a15cd8
  * Date: 1655230020
  * git changelog:
  *  1e1e655 - Show details for comments associated with points
  *  b48ce24 - Make scheduled/deferred task order deterministic
  *  be3489e - Add some face and point types to describe screen
  *  3fe6349 - Add faces perpendicular and parallel constraints.
  *  0041882 - Update CHANGELOG.md

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 19 Jun 2022 17:07:14 +0000

solvespace (3.1.0~git1869-70bde63-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 70bde63cb32a7f049fa56cbdf924e2695fcb2916
  * Date: 1652843388
  * git changelog:
  *  70bde63 - Fix Exec line of desktop files.
  *  ec1c228 - Eigen includes are needed in more places.
  *  dfbefa6 - Update CHANGELOG.md
  *  a4416a4 - Update CMakeLists.txt
  *  0c09d9d - Update CMakeLists.txt

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 20 May 2022 19:47:43 +0000

solvespace (3.1.0~git1864-ab00823-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: ab00823acc2920e45b89ec655e4c51d4b346e5d8
  * Date: 1651958748
  * git changelog:
  *  ab00823 - Update mimalloc version to 2.0.6
  *  b334996 - German translation completed

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 08 May 2022 08:33:26 +0000

solvespace (3.1.0~git1862-6a6fffe-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 6a6fffed0e30916b107419e095c31555ff0c83ea
  * Date: 1649819556
  * git changelog:
  *  6a6fffe - CI: Use upstream action to build snap & drop arm64 snap
    (#1232)
  *  0cec15c - Update README.md
  *  2e4a4de - Update README.md
  *  7e2aba4 - Update README.md
  *  fc16cdb - Fix for zoom in/out error (#1221)
  *  c5ea9a4 - Move shell functions out of surface.cpp and into
    shell.cpp (#1220)
  *  2383a39 - UI: Display the circumference of a circle in the property
    browser
  *  d8b5281 - MacOS: Update the year to 2022 in the About dialog.
  *  43795f5 - CI: Create tarballs with submodules included for releases
  *  026f936 - A workplane can now be defined from a workplane defined
    by point and normal
  *  4655066 - Fix normal issue, when a workplane is created from a
    point and normal we were only storing the numeric normal so the
    plane (and subsequent extrusion) wouldn't follow if the sketch was
    on the face of a revolve. Now we store the handle to the defining
    normal it predef.entityB so it can update properly on regeneration.
  *  7fa7250 - Turkish translation tr_TR.po updated (#1203)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 22 Apr 2022 22:24:34 +0000

solvespace (3.1.0~git1849-a1b2db5-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: a1b2db5e187eb85b85e7ac407e77935973893809
  * Date: 1643725732
  * git changelog:
  *  a1b2db5 - Translations update
  *  61cc28f - Check for text STL when linking (#1197)
  *  859df9f - README: add libomp dependency for building on macOS

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 01 Feb 2022 20:45:15 +0000

solvespace (3.1.0~git1846-b399d9a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: b399d9a1ec50086cdfc827a43d661ef79052e175
  * Date: 1642690397
  * git changelog:
  *  b399d9a - add normals to linked STLs
  *  5cb299b - Update CHANGELOG.md
  *  f94fc89 - UI: Add a link to the GitHub commit in the Help menu
  *  bb7a6cb - Revert CMake: use git rev-parse to get GIT_COMMIT_HASH
  *  f1e47e6 - CMake: use git rev-parse to get GIT_COMMIT_HASH

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 20 Jan 2022 19:33:57 +0000

solvespace (3.1.0~git1841-5efc148-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 5efc1480741ad4d6edcf64ca78fff67de5a0dc66
  * Date: 1641680556
  * git changelog:
  *  5efc148 - Add some gitignore stuff
  *  79a6463 - Make vectors/normals shown in the Property Browser into
    active links
  *  3eaa99c - Make all points shown in the Property Browser into active
    links
  *  3d482f0 - Fix which outer size we use.
  *  9ba7ab5 - Hide edit boxes before closing the property browser.
  *  3136493 - Load 16bit PNG images correctly by re-scaling to 8bit
  *  892477e - Update the year in the About dialog
  *  cc4307a - Win32: Update the year in the Windows version resource
  *  ae4337f - Fix various typos (#1178)
  *  39ca23f - snap: add g++ as build package (#1175)
  *  34efb6d - CMake Fixes + Snap port to core20 (#1174)
  *  b71c728 - Try to fix snap release by adding libcairo2-dev
    dependency
  *  8f049c5 - Fix build by removing unused var (and accepting new apple
    terms and conditions)
  *  74d7db8 - Update README.md

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 09 Jan 2022 11:32:11 +0000

solvespace (3.0.1~git1827-5315a69-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 5315a69a1e0df22cba4ba2b11d2c66da4e4486f6
  * Date: 1640981812
  * git changelog:
  *  5315a69 - Increase MAX_UNKNOWNS in the solver from 1024 to 2048
  *  18dc8ee - Small simplifications
  *  8ab70c2 - Fix formatting
  *  6edeb66 - Don't hold the sparse matrices in a pointer at all.
  *  42f5d3a - Banish an unneeded use of our custom containers.
  *  2521dca - Fix loop type
  *  605b48e - Use unique_ptr in main system jacobian.
  *  c0f0756 - Eigen library integration into solver.
  *  4ad5d42 - Add missing eigen submodule in some scripts
  *  c66e6cb - Add eigen extlib to install command
  *  dca5ce6 - Add Eigen to build.
  *  ac91809 - Add Eigen submodule at 3.4.0 tag
  *  e528fab - Add an early out in writing jacobian.
  *  aec46b6 - Add a method to Expr.
  *  3ba4023 - Some optimization
  *  2f31673 - Decrease WriteJacobian complexity
  *  4d58f95 - Suppress dof calculation flag
  *  7f86a78 - Dof calculation when redundant is allowed.
  *  708a08f - SolveBySubstitution of linear complexity.
  *  974175d - Fix CMake warnings
  *  006539b - Clean up/simplify build
  *  a1e18b8 - Normalize namespaces: includes all at global/root
    namespace.
  *  6d40efa - importidf: Fix uninitialized variable
  *  71c6492 - readme: Clean up, fix nearly all markdownlint complaints
  *  b86e0de - readme: remove outdated build instructions

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 01 Jan 2022 20:17:25 +0000

solvespace (3.0.1~git1802-e07b082-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: e07b082eb810d2088c92b97d04e864a4ab95816f
  * Date: 1640098148
  * git changelog:
  *  e07b082 - Fix hang when trying to display characters missing from
    the embedded font

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 22 Dec 2021 12:10:32 +0000

solvespace (3.0.0+git1801-2450010-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 2450010bbfa20a1ffbf5fd90b85c4b941f56cb16
  * Date: 1639332740
  * git changelog:
  *  2450010 - Update REAMDE.md - point IRC to Libera chat.
  *  91db627 - mac: Don't interpret single-touch scroll events as pan
    gestures

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 16 Dec 2021 20:15:15 +0000

solvespace (3.0.0+git1799-85f6ec4-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 85f6ec414492d07b512fdfc6f97559ec11ebb36c
  * Date: 1637455697
  * git changelog:
  *  85f6ec4 - fix STL linking issue. Model was disappearing after the
    link group.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 04 Dec 2021 13:00:39 +0000

solvespace (3.0.0+git1798-df3ef2a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: df3ef2ab0e805b3500803607aa33e8152f11b048
  * Date: 1636070934
  * git changelog:
  *  df3ef2a - GUI: Flexible vertical space above the toolbar
  *  eb17248 - CI: Replace edge releases with links to artifacts
  *  2a722c1 - add gdk.h for GDK_WINDOWING_ defines
  *  267c002 - modify the spaceware code to also work on wayland
  *  a45e84a - + safe height gcode parameter

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 05 Nov 2021 17:38:01 +0000

solvespace (3.0.0+git1793-2cd0ee4-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 2cd0ee4b3352c8fb68921399790d0545ad9b26bf
  * Date: 1633369944
  * git changelog:
  *  2cd0ee4 - Update Russian translation
  *  bb19389 - update pot file and locales.txt and CMakeLists.txt for
    spanish.
  *  4afa810 - Add Spanish / Argentina translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 11 Oct 2021 19:28:55 +0000

solvespace (3.0.0+git1790-6bc63e9-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 6bc63e92b0d908aa751ae06063b2ec00fec4cc57
  * Date: 1630709061

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 20 Sep 2021 17:26:49 +0000

solvespace (3.0.0~git1790-6bc63e9-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 6bc63e92b0d908aa751ae06063b2ec00fec4cc57
  * Date: 1630709061
  * git changelog:
  *  6bc63e9 - snap: Fetch tags for snap builds in CI & mention stable
    channel in README
  *  0eab7f7 - move perspective, lighting, and explode distance from
    configuration screen to view screen.
  *  8cfe1d4 - mac: Remove spurious view menu items (#1101)
  *  4bf9df2 - Update CHANGELOG.md
  *  e1b0784 - mac: Support for pan, zoom and rotate trackpad gestures
    (#1093)
  *  31a709e - mac: Support external quit requests (#1099)
  *  7e823df - Correct which group is forced to mesh when linking an STL
    file
  *  f71c527 - Add a ∆ suffix to groups which have force to triangle
    mesh ticked.
  *  f47cf65 - Update CHANGELOG.md
  *  b879879 - Darken disabled gray to 50% and document it.
  *  4db3e90 - Show suppressed groups in gray in the text window

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 05 Sep 2021 11:47:12 +0000

solvespace (3.0.0~git1779-0a3504c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 0a3504c30a005c53e4f0cb6c8fa608482b90f0e9
  * Date: 1629282908
  * git changelog:
  *  0a3504c - CI, NFC: Update libomp installation approach on macOS in
    the GitHub action (#1094)
  *  5edb2ee - Add Show Exploded View menu option
  *  3e59500 - Update CHANGELOG.md
  *  e86eb65 - Update feet and inches format to match architectural
    convention
  *  959cf5b - Fix MmToString calls that should have editable=true set
  *  41e3668 - Make feet and inches show fractions of an inch, rounded
    to nearest 1/64
  *  2fb6119 - Add option for displaying dimensions in feet and inches
  *  645febf - Set OSX minimum supported version
  *  c19bd8c - Remove unused variable
  *  b65a0be - Fix/silence mac build warnings
  *  5671941 - Don't reset showFaces every time a group is activated

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 19 Aug 2021 20:03:47 +0000

solvespace (3.0.0~git1768-1b8e1de-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 1b8e1dec652eef7916a94b6c9db404457dacb0db
  * Date: 1627752160
  * git changelog:
  *  1b8e1de - Update CHANGELOG.md
  *  06a1f80 - Add optional helix pitch constraint.
  *  f6bb0a2 - Add an ALL filter for linking files that includes slvs,
    emn, and stl
  *  2afd610 - Add STL linking with bounding box and edge verticies.
    Experimental.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 02 Aug 2021 20:42:22 +0300

solvespace (3.0.0~git1764-a97b77c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: a97b77c1e552c89aee873562694e7ac733056094
  * Date: 1626561537
  * git changelog:
  *  a97b77c - Update CHANGELOG.md
  *  37da0f3 - Fix various typos

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 22 Jul 2021 18:12:53 +0300

solvespace (3.0.0~git1762-ddb7632-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: ddb76324afb99376c1bf5cccec2db7cb06a023dc
  * Date: 1625164088
  * git changelog:
  *  ddb7632 - Update CHANGELOG.md
  *  002b124 - Update CHANGELOG.md
  *  37de364 - Addition of ArcLength Ratio and ArcLength Difference
    constraints to Constraints list
  *  4308dc1 - Fix Sketch in New Workplane point & normal to set correct
    orientation of workplane Temporary disable other ways because of
    wrong implementation
  *  3ccf784 - Improve Sketch in New Workplane by adding two way of
    construction - point and normal - point and face

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 02 Jul 2021 19:24:55 +0300

solvespace (3.0.0~git1757-4ee8699-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 4ee869906540343522db76f1ed170e74f3dbed8c
  * Date: 1622731352
  * git changelog:
  *  4ee8699 - Fix icon name for XDG mimetypes
  *  021f724 - Drop XPM app icons

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 11 Jun 2021 15:04:49 +0300

solvespace (3.0.0~git1755-b5fb1dd-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: b5fb1dd4297fa5271dc7f54910380a30fa3aff48
  * Date: 1621277738
  * git changelog:
  *  b5fb1dd - Show IDF keepout regions as construction entities.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 28 May 2021 20:55:42 +0300

solvespace (3.0.0~git1754-e74e202-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: e74e2024658ff6c6ce8e239932d95149eb174e45
  * Date: 1620864141
  * git changelog:
  *  e74e202 - fix a compiler warning on GTK builds
  *  3e01afa - Remove all unused methods from IdList and its iterator
  *  034d921 - IdList: Remove Unused IndexOf, First, Last and NextAfter
    Methods
  *  9dd67c7 - Use Range-based for Loops Instead of NextAfter for all
    IdList Objects
  *  7674be7 - IdList: Optimize IdList by Using an Index and Add a
    Proper Iterator
  *  7e08b02 - Allow comments to be associated with point entities
  *  e15ccdd - Update property browser display live when dragging

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 15 May 2021 08:34:24 +0300

solvespace (3.0.0~git1747-709dc31-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 709dc31f7865573cbf23c09dbd1946b017e7dc80
  * Date: 1619614761
  * git changelog:
  *  709dc31 - Fix lookup of stipple pattern before config is available
  *  00533a0 - Remove reference to SketchUp in the changelog
  *  bedf721 - Final Update of Changelog for 3.0 (#1025)
  *  8fbefa1 - Update flatpak manifest more.
  *  7f5bb40 - Update flatpak manifest
  *  5f81066 - Add more categories to the desktop files.
  *  9e1a608 - Install appstream metadata in flatpak and normal desktop
    Linux
  *  8a4d84e - Add comment about asan warnings.
  *  0e0b025 - CI: Never skip cancel_previous_runs

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 30 Apr 2021 23:22:06 +0300

solvespace (3.0.0~git1738-9e8c3db-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 9e8c3db856b8fa9eeb807b42239cf9d404739acf
  * Date: 1618473345
  * git changelog:
  *  9e8c3db - Update uk_UA.po
  *  f4ad820 - CI: Support cancelling, update actions & prevent draft
    releases
  *  af5fbf6 - Revolve icon updated to counter-clockwise, which is the
    way revolve works
  *  853e7d8 - Extrude, Lathe and Revolve Icons Updated
  *  a01dd18 - Combine arm64 and x86_64 libomp libraries
  *  b8e41c8 - Correct libomp.dylib path in sign-macos.sh script
  *  e2bf722 - Copy path to avoid it being invalidated by
    OkayToStartNewFile()
  *  2a56ba6 - Fix debugging and profiling on macOS
  *  8105699 - Add apple arm64 support
  *  312a8df - repair glyph data for [ff0c] to prevent assertion
  *  3ed151b - Skip image rendering in CLI rather than hard abort
  *  9020b83 - Fix issue #984 by changing the comma in not-closed-
    contour chinese translation.
  *  fa41676 - Update mimalloc version.
  *  af8b0e4 - change test sketch failing under x86-64-v3. Add a copy of
    the sketch for the old round-trip tests.
  *  cc52eb2 - Allow right click to end sketching of all entities
  *  2e88c5e - Clamp lighting value on export to fix flat colors

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 15 Apr 2021 20:57:32 +0300

solvespace (3.0.0~git1722-2df786e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 2df786e7415501c748f34741aa1d5c561e730814
  * Date: 1617312640
  * git changelog:
  *  2df786e - correct the order of glyphs 2334, 2335 and 2312 in
    unicode.lff.gz font file.
  *  6b94af0 - minor fix open/save dialogue on windows (#983)
  *  5c3ce9b - GTK: make spacenavd work through its socket, too
  *  d881686 - CI: Lock qemu version to known working
  *  1628097 - Save stipple settings for default styles to config
  *  58b425c - formatting
  *  204ca31 - Add some notes on ID lists, Entities, and Remap
  *  5e42275 - Fix pathologically slow translate groups on Linux
  *  d511ce4 - Trigger redraw on load factory default styles
  *  53f5e4e - export style for construction entities for edges
  *  39c18a7 - Update uk_UA.po
  *  e75f6b3 - Add Turkish translation by mhalil (Mustafa Halil).

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 02 Apr 2021 07:28:07 +0300

solvespace (3.0.0~git1710-10ca307-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 10ca307d986ab0c52faaab4fcaedb26bd42d1fd6
  * Date: 1615996918
  * git changelog:
  *  10ca307 - Add exportable option to default styles
  *  83dfcf4 - Add new symbols to the vector font. unicode 2334, 2335,
    21A7 counterbore, countersink, depth
  *  979a9f0 - Hide editor window when user hits Esc
  *  bef6bc3 - Use better pointer cursor for link text in GTK
  *  2a3f598 - Remove res/icons/graphics-window/Clipboard01.png added by
    mistake
  *  a14d841 - Icons: Fix non transparent pixels in line.png and
    pointonx.png
  *  20b0677 - UI: Update the Nearest isometric view icon to a more
    typical view
  *  aa07525 - UI: Update non anti aliased icons to match original ones
    better
  *  d3a6e96 - UI: Non anti aliased icons for the graphics and text
    windows
  *  8c101d5 - Fix tangent constraints of curves.
  *  697ffdd - UI: Show XYZ distance components in the text window for
    two points

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 18 Mar 2021 23:35:15 +0300

solvespace (3.0.0~git1699-3309181-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 33091817738d780d904bcd3e077022d87ebf2cd3
  * Date: 1614650976
  * git changelog:
  *  3309181 - fix problems with ctrl/shift key drag modifiers When
    dragging points we must always update position and mark them dirty
    through all code paths. Ensure the ctrl and shift modifier rotation
    quarternion is always set to something reasonable. separate
    extraLine tracking code from drag tracking code
  *  60dca4c - Fix incorrect styling on svg export
  *  2fcc933 - Clarify ambiguous license terms.
  *  0858fe6 - Update Changelog
  *  745a12c - permit construction geometry toggle while drawing

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 04 Mar 2021 22:46:57 +0300

solvespace (3.0.0~git1694-47c3209-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 47c3209b483ee7979b4ccd118f38f85500cdfbd5
  * Date: 1613659945
  * git changelog:
  *  47c3209 - Win32: If the main or text window is off-screen make it
    visible...
  *  04e872a - remember auto-removed constraints for undo
  *  7795b0b - mark group dirty when toggling reference dimension
  *  cdeb6c9 - Update mimalloc to 2.0.0 release.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 20 Feb 2021 16:04:25 +0300

solvespace (3.0.0~git1690-02aa9ea-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 02aa9ea827a128636e2d56d472e25b311868e073
  * Date: 1612394069
  * git changelog:
  *  02aa9ea - Update translations
  *  1c5c4c0 - Fix a crash when opening an empty file.
  *  11a8a0a - do not Invalidate() when dragging new points to prevent
    refresh bugs on Windows
  *  ebb194e - Add version command to solvespace-cli

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 04 Feb 2021 23:32:30 +0300

solvespace (3.0.0~git1686-2e1f532-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 2e1f5324c8d3bba948f8fc3a66484185cfd6b643
  * Date: 1611420333
  * git changelog:
  *  2e1f532 - Update ru_RU translation
  *  0404cd4 - Standardize how we refer to the other javascript files we
    include, too.
  *  d16e33a - Update to THREE.js revision 111 as found in Debian
    Testing
  *  6d9bbb6 - Update build instructons Add use of OPEN_MP to linux and
    macOS build instructions, and a mention of ENABLE_LTO.
  *  d3951af - GTK: Fix a warning for file->open dialogs.
  *  36719c6 - Improved de_DE
  *  1817816 - Update translations
  *  0adb13c - Change Dim Solid for Sketch Groups to Darken Inactive
    Solids
  *  422bb0c - Translations: update de_DE for 3.0
  *  76589a8 - Fix SpaceNavigator type 6DOF controllers on Windows.
  *  d6c2983 - Update messages
  *  41c81a7 - Override minimum displayed digits as needed to avoid
    showing zero.
  *  bd41485 - Correct toolbar height calculation (#885)
  *  758095a - Win32: Avoid the Default Beep sound in Еrror and Message
    dialogs (#881)
  *  5ef7034 - README.md: Use the SVG icon with a relative path. (#883)
  *  3abfd91 - Win32: Update the year in the Windows version resource
  *  82698b1 - Update the year in the About dialog
  *  a76e7f2 - Update ISSUE_TEMPLATE.md (#859)
  *  d45e2c4 - Add toolbar icons for Revolve and Helix created by jkrei0
    in issue #857. (#878)
  *  3e3ccdc - Revert Clean up paste transformed and constrain
    operations a bit.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 24 Jan 2021 01:31:17 +0300

solvespace (3.0.0~git1666-222c80e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 222c80e4c132f6d1fa1bc0a293660f65874a683f
  * Date: 1609268950
  * git changelog:
  *  222c80e - Add OpenMP debug information to conf screen (#869)
  *  440ea55 - Add menu checkbox Dim Solid for Sketch Groups.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 06 Jan 2021 22:03:43 +0300

solvespace (3.0.0~git1664-14e837a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 14e837a45f599b9b2a8a28d8628f96490b593c24
  * Date: 1608662450
  * git changelog:
  *  14e837a - Clean up paste transformed and constrain operations a
    bit.
  *  96958f4 - Fix paste transformed not correcting tangent arcs when
    mirrored (#833)
  *  679e2b9 - Fix an off-by-one error that missed the last point when
    generating screen bounding boxes
  *  0e5a246 - Fix normal selection with marquee
  *  f343bbc - Fix marquee selection when the view is rotated away from
    the working plane
  *  4275fb1 - Fix snap to grid not working in some situations
  *  cac3aae - remove the CLA and commercial licensing text.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 24 Dec 2020 23:14:48 +0300

solvespace (3.0.0~git1657-2939abf-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 2939abf5f876a7454e0afbc06b32c888989b6546
  * Date: 1607689562
  * git changelog:
  *  2939abf - Improve zooming with trackpad and scrollwheel
  *  681a50d - Run Test CI for pull requests
  *  640a1b9 - Use good default filenames on Linux/GTK
  *  e59186a - Suggest sensible defaults in file dialogs
  *  a8b8a34 - Make Path::SetExtension() not include a dot
  *  f5086b6 - Analyze | Stop Tracing (Ctrl+Shift+S) saves CSV only if a
    point is being traced
  *  5fa2318 - CI: Replace Travis with GitHub Actions (#824)
  *  b316a88 - Use EXACT for checking theta
  *  6b91ab5 - Better rotating
  *  aa78043 - Swap vertical and horizontal constraints when rotating
    90/270 degrees

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 12 Dec 2020 01:01:16 +0300

solvespace (3.0.0~git1647-9390ab0-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 9390ab02d5e1d921cfaa4e4948082a818d0e8246
  * Date: 1606494289
  * git changelog:
  *  9390ab0 - Set the default font for text objects correctly.
  *  a2b5d0d - Win32: Remove sscheck on IsWindowVisible and ShowWindow
  *  22dea59 - Edit newly added dimensions is now turned on by default.
    issue826
  *  5d17369 - Win32: Remove sscheck on SetScrollInfo - it returns the
    scrollbar position
  *  bb5994e - UI: Display err in the property browser only if check
    sketch for closed contour
  *  f285024 - Move z-index of construction segments behind normal
    segments
  *  8dcb2db - Changelog: Describe the err indicator in the property
    browser.
  *  fac093a - Translations: update de_DE
  *  d0d5df1 - Update contour_area test image to match the change in
    displayed units.
  *  08f37de - Make better choices of SI units by considering order.
  *  5137da2 - Win32: Mouse wheel zooming always remains properly
    centered
  *  bdd2be6 - Translations: Add solvespace.cpp to the translations...
  *  942bf3f - Remove Q3DO export.
  *  427a29a - Travis: build snaps in LXD containers
  *  bcb8cd2 - Fix unsequenced modification and access warnings.
  *  898fb6f - Travis: deploy tagged & master commits to GitHub
  *  1b2d47c - Travis: deploy tagged commits & edge tagging fixes
  *  5a3f45e - ran make translate_solvespace. cleaned out some obsolete
    strings in en_US.po
  *  142252d - Add z distance checking to entity picking. Fixes issue
    521
  *  6c2b967 - Use recent flatbuffers commit to solve compiling issue on
    OpenBSD

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 28 Nov 2020 00:08:09 +0300

solvespace (3.0.0~git1627-d0876d5-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: d0876d5f43f8e4663b0743e426babaa59fb57013
  * Date: 1604782635
  * git changelog:
  *  d0876d5 - Update README.md (by @nii236)
  *  5945d55 - Add end marker to text window and increase max rows.
  *  953c472 - Travis: add clean edge script
  *  6ff8db9 - Use zOrder for selections within the same group
  *  d973405 - adjust logo size
  *  078fb99 - add logo in heading
  *  ef7e2c7 - README: Add Travis & Snap Store badges
  *  8a3e5b4 - Don't do numeric surface intersections if an exact curve
    has been copied. We don't want 2 overlapping but different sets of
    PWLs.
  *  eadeac4 - use VERY_NEGATIVE and VERY_POSITIVE instead of numeric
    values which is some cases were 1e-10 instead of -1e10
  *  6c4b075 - Increase MAX_UNDO to 100
  *  7e99ba0 - UI: Fix the Property Browser window scrollbar
  *  3694c9b - Travis: sign libomp.dylib
  *  73bbbde - Travis: include libomp in macOS .app
  *  88b26aa - Update the year in the About dialog
  *  7292c32 - Performance: inline the Bernstein functions
  *  5388e10 - Travis: use force to overwrite tag
  *  57f8b37 - Travis: skip build if tag is edge, staple to the .dmg
  *  5fbb1b8 - Travis: remove old secrets from .travis.yml
  *  24720a0 - Revert CMake: use sanitizer flags for internal targets
    only
  *  da87a68 - Travis: try fixing deploy secret (sorry, has to happen on
    master)
  *  8f509f1 - Travis: CI improvements and fixing edge builds (#766)
  *  7035071 - Performance optimization of the Vector class
  *  68b1abf - CMake: use sanitizer flags for internal targets only
  *  c674bc8 - Add OpenMP parallel for to SShell::CopyCurvesSplitAgainst
  *  0f1ece2 - Resovle a huge performance regression introduced by
    commit ab10e38 while still fixing the NURBS issues resolved by that
    commit with only modest speed penalty. The performance is
    significantly improved by using bounding box tests on curves prior
    to doing complex intersection testing.
  *  0761339 - STEP Export: include colors and alpha
  *  400056c - CMake: Give ENABLE_LTO a default and a description so it
    shows up in cmake-gui
  *  aa83681 - snap: enable OpenMP and LTO
  *  32e695b - STEP Export: include colors and alpha
  *  b3cd928 - Travis: release macOS and Windows edge builds
  *  8a2e77d - CMake: fix LTO on Linux
  *  f3f33d3 - Travis: optimize macOS deploy build
  *  ab10e38 - Add vertexes to curve intersection list in addition to
    surface intersections.
  *  6b5936b - remove zh_CN.mo
  *  2be2e42 - Chinese translation added.
  *  9d2641a - Travis: update travis and macos build configs
  *  3af8127 - macOS: add NSOpenGLPFADoubleBuffer to
    NSOpenGLPixelFormatAttribute
  *  8e7416f - Travis: Build improvements and fixes (#751)
  *  b28499e - initial support (disabled) for keepout regions in IDF
    files.
  *  b12bcc5 - Fix some IDF file curves.
  *  0548702 - macOS CI fixes
  *  408128a - Avoid zero tangnet vectors on degenerate NURBS edges.
    Fixes #652
  *  e42aa0f - Update .travis.yml for macOS build
  *  91684fe - Add macOS travis config, fix issue in CMakeLists.txt
    causing macOS build to break

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 13 Nov 2020 01:03:29 +0300

solvespace (3.0.0~git1583-0288c0a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 0288c0a98b139dfb57acf99d6303d44a75fa5929
  * Date: 1602885202
  * git changelog:
  *  0288c0a - Travis: add windows target
  *  6558cb9 - Fix crash in solvespace-cli
  *  3ea8ebf - Win32: Fix "File|Open...", "Save" and "Save As" when a
    command line argument is used.
  *  d72eba8 - Create intersection curves from existing ones.
  *  c514dda - Fix for
    https://github.com/solvespace/solvespace/issues/248

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 17 Oct 2020 14:48:41 +0300

solvespace (3.0.0~git1578-c021df3-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: c021df33c04eb599c30ce9832e69ac7ab55bfb77
  * Date: 1601574940
  * git changelog:
  *  c021df3 - Fix issue 684 as whitequark suggested via WM_KEYDOWN-
    >WMCHAR change.
  *  3ce8c29 - Allow DXF import of 3D arcs and circles
  *  6b7f114 - Updated changelog
  *  8cf9d68 - IDF file Linking.
  *  0a061b6 - NFC: Performance. For step-and-repeat groups, create the
    copies first (in parallel) and then combine them using unions of
    equal size shells to reduce the total time spent on booleans.
  *  7c766c7 - translate_solvespace updates
  *  d49c8a1 - add debug message showing the name of a group whose
    linked file can't be found.
  *  d575da8 - Add cmake option ENABLE_LTO for link time optimization on
    Release builds.
  *  39f419e - Flip sign of exportCanvas dx and dy. Fixes issue #523
  *  704bb4a - Fix view centering and directions or cli thumbnail
    function.
  *  34328c9 - solvespace-cli: Fix --view
  *  2adf5de - de_DE: missing translations
  *  6e515b6 - Fix 699: Allow dragging linked objects in an assembly.
  *  094eff7 - Fix 197 Update the state of checkboxes in menus after
    failed workplace activation.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 03 Oct 2020 02:05:47 +0300

solvespace (3.0.0~git1564-668fe6f-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 668fe6f493eb96e9b4add37b6dbe9b82070cd9cc
  * Date: 1600288783
  * git changelog:
  *  668fe6f - Make the redundant constraint timeout a configuration
    value and add the config UI elements to edit that value.
  *  6157084 - Fix #131. Prevent UI freeze by having a timeout when
    finding which constraints can be removed to fix jacobian.
  *  e74185b - Fix #696. Account for multiple coincident edges when
    looking for naked edges.
  *  d8f5a8d - Fix issue #296.
  *  7052496 - Fix #693 issues.
  *  0413c1b - NFC:Triangulation - don't add zero-length bridges to
    avoid list.
  *  b208cd8 - NFC, Performance: Use OpenMP for boolean function
    MakeItersectionCurvesAgainst.
  *  360b347 - Export backgrounds in vector files
  *  028b613 - Add ExportBackgroundColor config to GUI and CLI
  *  d3da2c8 - Performance: Don't call std::inplace_merge for
    IdList::AddAndAssignID() via Add() because it is redundant.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 17 Sep 2020 10:02:35 +0300

solvespace (3.0.0~git1554-6894b0c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 6894b0c9c3e5ba3e080cf364d5f6e68a760b2b8c
  * Date: 1597874142
  * git changelog:
  *  6894b0c - NFC: remove a critical section, runs faster.
  *  d974615 - NFC replace 2 nested loops with 1 loop and a lookup for
    speed improvement.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 28 Aug 2020 09:10:39 +0300

solvespace (3.0.0~git1552-bc4924a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: bc4924ae471bc01d70d9a19e10ad347a7b87cf1c
  * Date: 1597437549
  * git changelog:
  *  bc4924a - Don't duplicate points when connecting contours with zero
    length bridge. Fixes #303
  *  04b332d - Ratpoly - Less noise in terminal. Comment out expected
    dbg print and try harder to converge.
  *  4cceaa5 - NURBS boolean improvement.
  *  f952991 - Fix issue161 and 174. Use the same logic for selction and
    dragging, but ignore entites that are inherently undraggable.
  *  575ddb5 - Add a pass in triangulation to create convex triangle
    fans. These triangles will have smaller bounding boxes and look
    better.
  *  b3eb589 - Fix issue659 - Problems constraining to ends of Helix.
  *  6ae417a - Update mimalloc to v1.6.4
  *  a296220 - Improve text screen for a selected entity.
  *  afa9e28 - Improve text screen for a selected constraint.
  *  fef6a39 - Don't init srand(0) because rand isn't used any more.
  *  3c2f82b - Remove the Random() function and use a fixed table of
    arbitrary vectors in raycast.cpp
  *  fd2dfe8 - Fix #656 by making SSurface::SplitInHalf thread safe.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 15 Aug 2020 23:34:04 +0300

solvespace (3.0.0~git1540-d8b76ef-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: d8b76ef7f105df873c978d17d5dc8660c73d2d5b
  * Date: 1595948215
  * git changelog:
  *  d8b76ef - Drop backtrace generation.
  *  bbf402b - Fix "Sketch → In Workplane" not updating the UI
    immediately.
  *  56e2592 - Make "Toggle Reference" remember undo state.
  *  e0fa99b - remove another redundant pass checking earness
  *  2640034 - NFC: Remove a redundant pass over all verticies in ear
    triangulation.
  *  b0fc191 - Create mimalloc heaps only when necessary.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 31 Jul 2020 04:29:45 +0300

solvespace (3.0.0~git1534-188b2e2-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 188b2e26cec71fa7de86fd8202932c79eeecf295
  * Date: 1595038541
  * git changelog:
  *  188b2e2 - Implement #524 Allow flat colors. Adds an edit control
    for Ambient lighting.
  *  c75b2e4 - Fix #647 Helix mesh defects.
  *  f0623fa - CMake: don't install mimalloc.
  *  c4ca4be - Replace {Alloc,FreeAll}Temporary() with mimalloc
  *  cbac182 - Add and build mimalloc at
    07c6e60a5a3bd7de09e4a170cd97bafba59cfafd
  *  9802b5d - Better helical triangulation - issue 489.
  *  873085e - README: fix extlib/q3d{o,} typo

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 19 Jul 2020 19:35:36 +0300

solvespace (3.0.0~git1527-211ae8c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 211ae8c44649532991c5fbedf40a735fa799ea81
  * Date: 1592879997
  * git changelog:
  *  211ae8c - Show area of closed contour with SI units.
  *  35c6af4 - Show center of mass using the same format as for
    constraints.
  *  586b047 - Delete all entities on a workplane request that is being
    deleted.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 03 Jul 2020 11:21:44 +0300

solvespace (3.0.0~git1524-d238f98-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: d238f985fbcff478b52d9459567d7280d83b0b8a
  * Date: 1592704770
  * git changelog:
  *  d238f98 - GTK: filter events more precisely.
  *  a80a033 - Disable OpenMP.
  *  0da4a6b - Use C++11 [[noreturn]] attribute instead of GNU-specific
    one.
  *  3d51b39 - Change default chord tolerance (to 0.1%) and maximum
    segments (to 20).
  *  c876104 - Make sure circles have at least 16 segments.
  *  e83e483 - Change criteria for short edge removal

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 21 Jun 2020 08:58:19 +0300

solvespace (3.0.0~git1518-94a3cfd-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 94a3cfdeb74aa3cbfd91ffe26ffa57c63a1094b2
  * Date: 1591410661
  * git changelog:
  *  94a3cfd - Fix SSurface::EdgeNormalsWithinSurface() to handle non-
    orthogonal u,v derivatives correctly.
  *  225f82a - Get rid of the FPS counter.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 06 Jun 2020 10:48:51 +0300

solvespace (3.0.0~git1516-89e6559-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 89e6559e2d7edb6985a97b74671df4bbda98588a
  * Date: 1590201122
  * git changelog:
  *  89e6559 - Bring some parallelism to boolean code
  *  c89a2e4 - Use a thread-safe temporary arena on every platform.
  *  060a328 - Use HTML comments in issue template.
  *  72d9978 - Eliminate a trailing dot before the SI prefix if there
    are no decimals.
  *  51f6236 - Simplify MmToString. NFC.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 24 May 2020 23:57:43 +0300

solvespace (3.0.0~git1511-70ec7cc-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 70ec7cc257acaaa0580b9c948343e42cebedb36f
  * Date: 1589323165
  * git changelog:
  *  70ec7cc - Improve triangle mesh (splitting of quads based on
    angle).
  *  23dfd97 - Fix use-after-free in Lathe, Revolve, and Helix. Issue
    #611.
  *  0be42a8 - Rename our isnan() function to IsReasonable().
  *  771086f - Use C++ instead of C versions of standard library
    headers.
  *  e84fd46 - Use omp critical to simplify parallel triangulation. NFC.
  *  c355a47 - Split quads based on angle.
  *  1930602 - UI: split "union assemble" and "difference intersection"
    on two lines.
  *  9b07aaf - UI: Fix the logic for switching between union/assemble
    and difference/intersection
  *  6245c63 - Intersection boolen in triangle mesh mode is properly
    implemented
  *  3888909 - NURBS: Add intersection boolean operation.
  *  c95a07a - Win32: when building with MSVC, require VS2015.
  *  cd30e04 - Expand "edit newly added dimensions" to edit "Length
    Ratio" and "Length Difference"
  *  01af666 - Fix typo. NFC.
  *  e29f71f - Update changelog
  *  d857e3e - Various header cleanups. NFC.
  *  e00d486 - Refactor dbp. NFC.
  *  9951da8 - macOS: ignore spurious `-psn_` command line argument.
  *  1442ee5 - Refactor InitPlatform.
  *  9c1804b - Get rid of MemAlloc/MemFree.
  *  521473e - Win32: use CRT heap instead of our own.
  *  74103ee - CMake: expand sanitizer support to include TSan.
  *  47e8279 - CMake: detect OpenMP and use if available.
  *  b4e1ce4 - Use OpenMP for triangulation
  *  7baf585 - No message if cached points to don't converge. Quiet the
    terminal.
  *  a7e0a17 - Don't create redundant edges in UvGridTriangulate into.
  *  05aa649 - Update changelog
  *  a52d88b - Less work in AssembleContour
  *  88a0e55 - Eliminate infinite loop AssemblePolygon
  *  7366a6c - Bernstein polynomials with no branching. (#591)
  *  76b3efb - Travis: allow Snap arm64 to fail
  *  3544829 - README: update Linux-to-Windows cross-compilation
    instructions.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 13 May 2020 12:10:48 +0300

solvespace (3.0.0~git1480-f36ac50-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: f36ac500a14da169c2017947710fc6e13b712c4e
  * Date: 1587764275
  * git changelog:
  *  f36ac50 - Add rotated face from point entity type. Fixes issue 585,
    problems constraining to Revolve and Helix ends. (#586)
  *  700b5d6 - Allow Revolve and Helix end surface selection and
    constraints. (#584)
  *  45eb246 - Eliminate some entity copies in lathe groups. Eliminates
    a crash due to copy numbers going over 1000. May break some older
    files with constaints on lathed entities. (#582)
  *  b55dac7 - Don't create extra copies of entities in Revolve and
    Helix groups.
  *  e51fdf6 - Use handles instead of pointers in GenerateAll(). NFC.
  *  f5415b3 - snap: Upgrade from gnome-3-28 extension to gnome-3-34
  *  13b461d - snap: Use symlink instead of bind-mount for layout

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 25 Apr 2020 10:14:58 +0300

solvespace (3.0.0~git1473-72635df-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 72635df56ec915ab6ce79b4386d2c183f9e4e4a5
  * Date: 1585776318
  * git changelog:
  *  72635df - Add menu options for line styles / view / configuration.
  *  6471710 - Fix more segfaults in mouse.cpp lambdas (#574)
  *  485fd01 - Fix segfault in Remove Spline Point context menu
  *  f7b6f69 - Nurbs (#473)
  *  83b0402 - Added developer instructions for creating new entity
    transformations in the solver. (#491)
  *  645353c - Force SSE2 floats for i686 targets
  *  aeaece5 - Accept both slashes in test harness on Win32

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 10 Apr 2020 01:52:10 +0300

solvespace (3.0.0~git1466-e355a09-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: e355a095c4c3456487be8bc48675757ab79d44d3
  * Date: 1584241404
  * git changelog:
  *  e355a09 - Force vendor zlib, png, and FreeType on Win32, too
  *  7e33d2d - Update ANGLE to 8776e911bf71f68518ddd1995ce09d80db8c1216
  *  a6c34bb - Fix a crash when trying to show an error with bad
    separator.
  *  6017ecd - Fix two trivial implicit double to int conversion
    warnings. NFC
  *  c29624f - Update flatbuffers, fixing build on Clang trunk

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 20 Mar 2020 05:57:51 +0300

solvespace (3.0.0~git1461-fcb2757-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: fcb2757d5d18e8ad7a82b4ecf4dd48529dab70b9
  * Date: 1582533705
  * git changelog:
  *  fcb2757 - Win32: Drastically reduce stack usage at startup. NFC?
  *  8ef3cac - Fix a bug with 3Dconnexion: SpaceMouse
  *  f6a774d - Fix some trivial warnings found by MSVC. NFC.
  *  bae84b2 - snap: Fix missing extension for cli
  *  1cd727d - snap: Remove superfluous files from package
  *  dcc80de - snap: Add missing sudo in Travis deploy step
  *  65ab595 - snap: Build snaps on Travis without remote-build & drop
    i386 + armhf

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 06 Mar 2020 15:37:04 +0300

solvespace (3.0.0~git1454-3ed1719-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 3ed1719de2dc6e0525c94de78353d076623e46e4
  * Date: 1580880873
  * git changelog:
  *  3ed1719 - Fix immediate editing of reference constraints.
  *  72bc71c - README: add snap as an installation option.
  *  2dcd81d - snap: Release snaps to store via script instead of snap
    provider
  *  d5351c4 - snap: build snaps on Travis via remote-build.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 06 Feb 2020 08:24:31 +0300

solvespace (3.0.0~git1450-16c5fa6-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 16c5fa6889202f2059b52c4a89599910541dd1a0
  * Date: 1576611344
  * git changelog:
  *  16c5fa6 - Fix eight trivial "implicit conversion 'double' to 'int'"
    warnings. NFC.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 22 Dec 2019 15:07:11 +0300

solvespace (3.0.0~git1449-64c0f62-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 64c0f62b92a35a83b2c7620ee264db383b54283a
  * Date: 1575645711
  * git changelog:
  *  64c0f62 - Win32: mark all remaining functions as Unicode. NFC.
  *  69baf52 - Linux: fix Z-order in scalable icon.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 07 Dec 2019 11:53:45 +0300

solvespace (3.0.0~git1447-0b786e6-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 0b786e6e2bcdeab58e6d164aa4cdc895e158907c
  * Date: 1575312718
  * git changelog:
  *  0b786e6 - CMake: review minimum required CMake version.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 03 Dec 2019 02:48:22 +0300

solvespace (3.0.0~git1446-0472b9e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 0472b9ea603003d59fd885d499ff176ca0bf7890
  * Date: 1574859087
  * git changelog:
  *  0472b9e - macOS: fix tooltips not closing on Catalina.
  *  dcdfdec - Add an option to edit dimension immediately after adding.
  *  58f23aa - macOS: force show property browser when opening
    preferences from menu.
  *  552fe35 - Fix commit 07992cecaa.
  *  0501f0c - Don't call GL functions in OpenGl3Renderer::GetIdent.
  *  22525e6 - CMake: update policy to 3.11.
  *  07992ce - Remove unused offscreen GL renderer.
  *  a60d4df - Refactor Travis config
  *  fb536a1 - Test for -ffile-prefix-map support instead of comparing
    versions.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 01 Dec 2019 12:52:56 +0300

solvespace (3.0.0~git1437-690f87c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 690f87cf4a908d89238dccb3165059b913f8dd63
  * Date: 1574528255
  * git changelog:
  *  690f87c - On GNU-compatible compilers, avoid embedding paths into
    binaries.
  *  14e095c - Don't show unusable fonts in font selector.
  *  e74137d - Fix misuse of glTexImage2D (again).
  *  2fe17a4 - Remove prototype for an unimplemented function.
  *  38f4287 - Remove an integer cast.
  *  93184c5 - Use standard std::count_if. NFC.
  *  8c750ce - Freeze the scrollbar while editor is open in property
    browser.
  *  f035955 - Recompute property browser viewport on resize.
  *  54015b6 - Call glGetError() after glFinish(), not glFlush().
  *  9b61f98 - macOS: Don't use offscreen rendering.
  *  e386d40 - Make some arguments const/const references, where
    possible. NFC.
  *  65d0bdf - Split Canvas::FinishFrame out of Canvas::FlushFrame.
  *  ec30567 - Simplify UNION and DIFFERENCE boolean operations.
  *  b5ccf5a - macOS: fix CMake Xcode generator.
  *  0dcc8f3 - Fix Xcode auto-fixable issues
  *  74aa80b - Fix misuse of glTexImage2D.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 23 Nov 2019 22:34:36 +0300

solvespace (3.0.0~git1421-5d78f99-2) unstable; urgency=medium

  * Rebuild 

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 06 Oct 2019 22:12:44 +0300

solvespace (3.0.0~git1421-5d78f99-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 5d78f993cea3749b6644e0a2f9ddf89c9754e377
  * Date: 1568941798
  * git changelog:
  *  5d78f99 - Make helix origin create a line even if it's in a
    different group.
  *  162897e - Reimplement DivPivoting as DivProjected.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 27 Sep 2019 19:21:18 +0300

solvespace (3.0.0~git1419-7f9117b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 7f9117b2bf0636a594eb1f1ba76b9dbe0e8a4e83
  * Date: 1568198290
  * git changelog:
  *  7f9117b - Calculate area of selected faces, if any.
  *  915f55a - Show volume of current group alongside total volume.
  *  a0e9923 - Clean up virtual, override, default, and void params.
    NFC.
  *  ae417fc - Use emplace_back. NFC.
  *  34dccbf - Don't call static methods through an instance. NFC.
  *  219df31 - Linux: add support for building snap packages.
  *  b1e280e - Fix undefined behavior in IdList::end().
  *  ec13839 - Modify clang-format config to avoid single-line things.
    NFC.
  *  bedea1e - Avoid undefined behavior from out-of-range access. NFC.
  *  b8ee0e9 - Remove extraneous semicolon. NFC.
  *  78819ff - Fix "virtual function without virtual destructor"
    warning. NFC.
  *  c959af1 - Fix a comment. NFC.
  *  3e566d7 - Remove std::move from trivially-copyable types. NFC.
  *  c0904e2 - Use IsEmpty() or .empty() to check if a container is
    empty. NFC.
  *  61c0167 - Fix TTF iteration in case of an empty list.
  *  15838dc - For loop cleanup. NFC.
  *  231dff6 - Add and use List::Last(). NFC.
  *  c5f3cd1 - Use the same @todo hot comment style everywhere.
  *  d514a26 - Fix use-after-free in revolve and helix.
  *  a4c0022 - Fix a warning about a virtual destructor.
  *  43b2261 - CLI/testsuite: do not crash if a dialog is displayed.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 12 Sep 2019 04:55:35 +0300

solvespace (3.0.0~git1398-22e4011-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 22e4011cb67e3eca150f74e47695ebb859215598
  * Date: 1566743437
  * git changelog:
  *  22e4011 - use std::vector in helix operations instead of fixed
    length array. Remove limit on number of sections. Delete definition
    of Revolved struct.
  *  e22c522 - use std::vector in lathe operations instead of fixed
    length array
  *  2dd50d0 - Only allow lathe, revolve and helix for 2d sketches.
  *  13820bf - Revert "IdList::RemoveTagged switch to std::remove_if
    from iteration. NFC."
  *  b284e80 - Improve NextAfter. NFC.
  *  533ca61 - Fix a manual manipulation of List::n. NFC.
  *  dd738dd - Add Last(). NFC.
  *  610e35f - Improve Clear(). NFC.
  *  b9d035c - Improve MoveSelfInto. NFC.
  *  9fd09dd - Add IdList::AllocForOneMore() based on List. NFC.
  *  0bfbbe2 - Improve implementation hiding in IdList/List. NFC.
  *  482f0e8 - Replace qsort with std::sort and lambda. NFC.
  *  1b97a00 - Add and use List<T>::IsEmpty, range-for, etc. NFC.
  *  0bb6a34 - IdList::RemoveTagged switch to std::remove_if from
    iteration. NFC.
  *  3ea077b - Reduce scopes and placate clang-tidy. NFC.
  *  60fdac1 - Simplify IdList::Add(). NFC.
  *  3340392 - Add and use LowerBound methods in IdList. NFC.
  *  0c941ae - Revise IdList::Tag to reduce code duplication. NFC.
  *  5ada4db - Add and use IdList::IsEmpty. NFC.
  *  b5f36a4 - Provide cbegin(), cend() in containers. NFC.
  *  86f20cc - Convert many loops to range-for or std algorithms. NFC.
  *  97c8cb7 - Make sure changing color of a group does not reset alpha.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 26 Aug 2019 23:26:42 +0300

solvespace (3.0.0~git1376-d9081b0-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: d9081b0b08ccfc7f5138dd40878cc87cf3c8b0f1
  * Date: 1565393544
  * git changelog:
  *  d9081b0 - VRML: add support for transparency.
  *  837628e - Add VRML (WRL) triangle mesh export.
  *  986da7d - Implement helical extrusion groups.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 10 Aug 2019 22:53:07 +0300

solvespace (3.0.0~git1373-b3f739f-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: b3f739f2c4f75cbdb2613e1fe9cb7fff9b880143
  * Date: 1562930608
  * git changelog:
  *  b3f739f - Improve layout for reference axes with very vertically
    small windows.
  *  b2af9ce - Use the fact that handles are now less-than comparable.
    NFC.
  *  5efb09e - Use the new equality/inequality operators of handles to
    reduce references to .v. NFC.
  *  7bd4b14 - Traits work for handles to permit sharing functionality
    and operators. NFC.
  *  346f004 - Brighter blue and yellow in text window for higher
    contrast/readability.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 14 Jul 2019 01:36:43 +0300

solvespace (3.0.0~git1368-02d7f0c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 02d7f0c0aa2f5bcf4f21942fca7b462b0da4427f
  * Date: 1561423737
  * git changelog:
  *  02d7f0c - Auto-recover files corrupted by the bug in commit
    bd84bc1a.
  *  49a7f86 - Fix off-by-1 in Group::Remap.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 29 Jun 2019 14:01:26 +0300

solvespace (3.0.0~git1366-cb0fdb1-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: cb0fdb1c289106f8f01e886362adbe251f47b770
  * Date: 1560545976
  * git changelog:
  *  cb0fdb1 - Freedesktop: add scalable SVG icon.
  *  5df53fc - Implement revolve groups.
  *  3d80062 - GTK: delete all gtkmm objects before destrying Gtk::Main.
  *  3596979 - Update q3d submodule.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 15 Jun 2019 21:31:49 +0300

solvespace (3.0.0~git1362-9ac55f3-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 9ac55f392aeac6839e1ad2252848f520f1420939
  * Date: 1559142385
  * git changelog:
  *  9ac55f3 - Win32: fix build with -DOPENGL=1.
  *  6352405 - Deselect entities with Ctrl-LMB.
  *  bd84bc1 - Replace entity map implementation with
    std::unordered_map.
  *  406c55e - Instead of creating an exact copy of existing constraint,
    select it.
  *  09ca442 - Commit missing parts of cf2f0e5d.
  *  eb7e12b - Make sure file from a recent menu exists before using it.
  *  beea444 - Move logic for handling allowRedundant out of System.
    NFC.
  *  cf2f0e5 - In TryConstrain(), reject redundant constraints in
    overconstrained groups.
  *  5495659 - Skip creating an automatic H/V constraint if it would be
    redundant.
  *  394c1f6 - Remove forceDofCheck parameter from SolveRank(). NFC.
  *  88879d3 - Show Degrees of Freedom → Show Underconstrained Points
  *  9d1c295 - Add a setting to format constraint labels using SI
    prefixes.
  *  9faa7cb - Fix commit cc107887.
  *  6c167db - Add an explicit mirror checkbox for Paste Transformed.
  *  df6777a - Warn on broken extrusions, like on broken polygons.
  *  43a59e2 - Work around MSVC bug 746973.
  *  9f2077b - Explain how forceDofCheck in System::Solve works. NFC.
  *  cc10788 - Remove the last use of memmove. NFC.
  *  fabffba - Get rid of FreeTemporary. NFC.
  *  ac7b82d - Allow configuring the amount of digits displayed after
    decimal point.
  *  d01f715 - CLI: accept --chord-tol as an option to regenerate.
  *  50c004b - Add a button to hide construction entities.
  *  e67f967 - Implement turntable (SketchUp-like) mouse navigation.
  *  c2c26e9 - Make minor errors visible at a glance in the group list.
  *  260769c - Win32: Restore Windows XP Compatibility
  *  31f5873 - Add a few asserts. NFC.
  *  e243396 - Three.js: with a window-sized canvas, resize canvas with
    the window.
  *  ffef006 - Add a .clang-format file - not for bulk use!
  *  c9397ea - Make help text for image and TTF request creation reflect
    reality.
  *  3296474 - Rework tooltip implementation to track tip area.
  *  f6484c7 - macOS: fix a crash at startup introduced in 75a09c8b.
  *  e9b9dca - Win32: use native OpenGL drivers, if available.
  *  0921296 - Update copyright statement in about box.
  *  25b6eba - Adjust angle label margin similarly to eda294ef.
  *  9500487 - Fix an edge case with fps measured as infinite.
  *  39c3480 - Add CountIf method to IdList to simplify some call sites.
    NFC.
  *  43c9cba - Reduce Vector::Element calls in SKdNode::SnapToVertex.
    NFC.
  *  f885daf - Simplify. NFC.
  *  75a09c8 - Minor cleanups. NFC.
  *  7f75148 - Win32: ignore WM_MOUSEWHEEL events that are forwarded to
    other window.
  *  5dbe090 - Win32: do not insert windows with parents after
    HWND_TOPMOST.
  *  be0dc7e - Win32: silence a GetProcAddress-related warning.
  *  e11e234 - Win32: remove dead code in keyboard event handling.
  *  bda3b80 - GTK: fix last remains of legacy event handling code.
  *  f43954c - Adjust GL1 and GL3 ReadFrame to take pixel ratio into
    account.
  *  11c5cdc - Adjust GL3 ReadFrame() for GL ES 2.1 compatibility.
  *  c18deb2 - test harness: Identify build host system in CMake to use
    for path separator.
  *  62aba39 - Move two members of Vector to be inline.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 29 May 2019 23:05:53 +0300

solvespace (3.0.0~git1314-201e15e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 201e15e68a9aaccbad86d25d1925c455b514618c
  * Date: 1557763329
  * git changelog:
  *  201e15e - Three.js: update inaccurate comment. NFC.
  *  b97a80b - Three.js: style fixes. NFCI.
  *  6f9358a - Three.js: fix rotate and pan on HiDPI devices.
  *  26c8cdc - Three.js: fix mousemove event listener.
  *  52a481c - Small performance optimization in Vector::Equals.
  *  838126f - GTK: rework f07e975d to fix build on both pre and post
    3.24 GTK.
  *  7d181f0 - Include custom styled entities in the same plane when
    exporting section.
  *  c44a471 - Win32: fix destruction order issue leading to crash on
    close.
  *  f07e975 - GTK: fix build on Ubuntu 18.04 by removing debug define
  *  0b7b8a4 - Linux: add Flatpak integration.
  *  bc3e09e - GTK: use native file chooser dialog, if available.
  *  e7b75f1 - Revert "CMake: replace GetGitCommitHash with
    .gitattributes and $Id$."

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 13 May 2019 19:45:27 +0300

solvespace (3.0.0~git1302-fa66229-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: fa6622903010eb82b07b16adf06d31d5ffcd6bb9
  * Date: 1555933847
  * git changelog:
  *  fa66229 - Fix choice of normal for revolution in some corner cases.
  *  b69ef71 - Fix misuse of Path in dc6c7bd0.
  *  dc6c7bd - Add a lookup for resources in ../share/solvespace.
  *  945a282 - README: update submodule instructions.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 27 Apr 2019 22:35:41 +0300

solvespace (3.0.0~git1298-ce0b130-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: ce0b130d6ceb2145c8150eecbffe7380948899d4
  * Date: 1555153363
  * git changelog:
  *  ce0b130 - Disable mnemonics when pathnames are used as menu item
    labels.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 13 Apr 2019 20:21:33 +0300

solvespace (3.0.0~git1297-a7b2f28-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: a7b2f2899944cd267767caa96c0da995b38bb203
  * Date: 1553766376
  * git changelog:
  *  a7b2f28 - Silence some gcc 7 warnings.
  *  8903e17 - Travis, Appveyor: remove IRC notifications.
  *  3a3a275 - Implement Q3DO export.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 30 Mar 2019 09:36:21 +0300

solvespace (3.0.0~git1294-9d1601e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 9d1601eea9039011c16c435b26a680fb4bc35c34
  * Date: 1550576156
  * git changelog:
  *  9d1601e - Fix uninitialized memory access in toolbar.
  *  8d07a6b - Import missing styles from linked files.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 22 Feb 2019 22:07:10 +0300

solvespace (3.0.0~git1292-9e51288-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 9e512882d157ecc17c22fef46e50ccf2c67493dd
  * Date: 1549891058
  * git changelog:
  *  9e51288 - Add checkbox to control automatic line constraints
  *  b2418a0 - README, CONTRIBUTING: mention the CLA.
  *  f4d394a - README: add note on cross-compilation from Ubuntu.
  *  94b26dd - Add a built-in Bitstream Vera Sans Roman font.
  *  e69478e - Let tangent arc modify the original entities.
  *  c0678d7 - Update ANGLE.
  *  c962357 - CMake: replace GetGitCommitHash with .gitattributes and
    $Id$.
  *  e383b7f - Remove superfluous glPolygonOffset() call in GL3
    renderer.
  *  28fa348 - Use correct polygon winding order in GL3 renderer.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 16 Feb 2019 02:58:06 +0300

solvespace (3.0.0~git1283-1012373-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 1012373818e59b5ff1d6ca08ea20631790cb7183
  * Date: 1547105424
  * git changelog:
  *  1012373 - Update libdxfrw.
  *  8e4c4b0 - Check return values of fread, etc in ReadFile/WriteFile.
  *  8f2af5b - Add Fedora packages to README and add sudo before apt

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 19 Jan 2019 17:17:34 +0300

solvespace (3.0.0~git1280-52c4178-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 52c41782d8be467807df83bae51ab303b2748936
  * Date: 1541650214
  * git changelog:
  *  52c4178 - cli: fix typo.
  *  258545a - Misc. typos

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 10 Nov 2018 02:12:19 +0300

solvespace (3.0.0~git1278-4d1e134-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 4d1e1341d926ac356b295d5cc3d61c7a6cd7d07d
  * Date: 1533303540
  * git changelog:
  *  4d1e134 - GTK: fix an use-after-free in message dialog ShowModal().
  *  fc873c5 - Remove double word in DOC.txt
  *  42bc7ef - Fix Z-index of UI elements drawn by the color picker.
  *  21d1a62 - Fix a few warnings emitted by Clang.
  *  80c111b - Finish OpenGL 2 to OpenGL 3 renaming started in ecb6550b.
  *  4d1bd55 - GTK: fix dismissing the editor with Escape.
  *  88d59ea - README: mention third-party Debian/Ubuntu packages.
  *  eda294e - Adjust the horizontal constraint label margin to equal
    vertical.
  *  1a2911f - extlib: use https:// URL for the freetype submodule.
  *  bc6a923 - macOS: fix crash on startup.
  *  c3875cb - Add missing override qualifier.
  *  2b4c484 - Discard fragments with zero texture alpha in
    imesh_tex.frag.
  *  a4644cc - GTK: fix message dialogs not being responsive to buttons.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 05 Aug 2018 00:31:03 +0300

solvespace (2.3.0+git1265-8426992-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 8426992f27b62de8af753f656429a09a271cc60f
  * Date: 1532061619
  * git changelog:
  *  8426992 - Eliminate blocking in Error() and Message() calls.
  *  7017716 - I18n: add de-DE locale.
  *  396cac5 - Add missing virtual destructors.
  *  c37cddf - I18n: internationalise some messages that were missing
    gettext calls.
  *  fb138f4 - Add final qualifiers where applicable.
  *  4f52167 - Use std::shared_ptr instead of std::unique_ptr for
    Platform::TimerRef.
  *  a738e3f - Eliminate imperative redraws.
  *  738ac02 - Fix some strict GL ES 2 conformance issues.
  *  02ec64e - Fix unaligned access in LoadStringFromGzip.
  *  efc3da4 - CMake: add an ENABLE_CLI flag.
  *  22a9705 - Win32: fix crash on application exit.
  *  5853fa0 - Finish refactoring of platform code.
  *  350d2ad - CLI: fix crash running the "thumbnail" command.
  *  0fb9a4c - GUI: fix formatting of messages with only one sentence.
  *  7630e0e - Make some dubious type conversions explicit.
  *  c1f1c7c - Add a platform abstraction for 6-DOF input devices.
  *  6b5db58 - Add a platform abstraction for file dialogs.
  *  d796897 - Add a platform abstraction for message dialogs.
  *  84bf37a - GTK: save boolean settings as JSON booleans.
  *  26f3751 - macOS: rename application bundle to SolveSpace.
  *  a93283d - macOS: put assertion message into crash reporter dialog.
  *  eb5501e - Implement a platform abstraction for settings.
  *  f324477 - Implement a platform abstraction for windows.
  *  55baaf3 - Implement a platform abstraction for menus.
  *  7ab87ca - Implement a platform abstraction for timers.
  *  28f94dc - Start using C++ in-place member initialization.
  *  501a482 - I18n: add fr_FR locale.
  *  975b49f - Win32: offer to restart application on fatal errors.
  *  8192c96 - Show degrees of freedom in property browser.
  *  4fab5b7 - Appveyor: add IRC notifications.
  *  595ae86 - I18n: update translations.
  *  76561e3 - README: add Community section.
  *  fb1065d - Travis: add a workaround for travis-ci/travis-ci#4704.
  *  f54dabb - Clean up includes and include guards.
  *  d471e65 - Implement splitting at point with "Split Curves at
    Intersection".
  *  9cd0044 - macOS: update instructions in README.
  *  ba71dba - CMake: use correct gtkmm version constraint.
  *  f2ecd7a - macOS: use correct format for connexionName field.
  *  fa55577 - macOS: add CFBundleIdentifier to MacOSXBundleInfo.plist.
  *  a16c204 - Allow using m (in addition to mm and inch) as base unit.
  *  6ad5c68 - Avoid degenerate triangles when snapping to mesh.
  *  025bb96 - Improve performance of mesh-forced assemblies.
  *  c8fc033 - macOS: fix #include to work on case-sensitive filesystem.
  *  9c99f69 - Clean up unused shader variables.
  *  20a4a2b - Avoid using `tan` as identifier in shaders.
  *  f37881a - macOS: bundle and statically link external dependencies.
  *  03e479e - Ensure va_end() is always called in TextWindow::Printf().
  *  771b415 - Fix various comment and UI string typos.
  *  572869d - GTK: install MIME type specification.
  *  c5a3b43 - CMake: support sanitizers on gcc builds, too.
  *  49ff36f - Use a more rigorous check for library containing
    backtrace().
  *  8cedefc - Allow using non-ASCII format strings in Printf.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 21 Jul 2018 19:00:07 +0300

solvespace (2.3.0+git1213-2b9ffd1-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 2b9ffd15424eb95a21db6e6ca35339b3d9372b2e
  * Date: 1525966315
  * git changelog:
  *  2b9ffd1 - Fix handling of relative paths with no directory in
    solvespace-cli.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 12 May 2018 11:34:06 +0300

solvespace (2.3.0+git1212-c6fc012-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: c6fc0125a21aa27f89ab6e0bb16037f04bc39fd4
  * Date: 1513536278
  * git changelog:
  *  c6fc012 - README: add OpenBSD instructions.
  *  3d7e9f5 - Provide correct arguments to inflateInit2.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 19 Dec 2017 22:21:40 +0300

solvespace (2.3.0+git1210-13695be-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 13695be03a8e78ccc24d0179a3ff243d8bd148d6
  * Date: 1509946849
  * git changelog:
  *  13695be - CMake: update required version to 3.2.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 16 Nov 2017 12:11:38 +0300

solvespace (2.3.0+git1209-16540b1-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 16540b1b2c540a4b44500ac02aaa4493bccfba7e
  * Date: 1502195260
  * git changelog:
  *  16540b1 - Update libdxfrw.
  *  a10db16 - Fix dash-dash-dot line style.
  *  afe2279 - Elaborate build instructions in README.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 10 Aug 2017 22:03:18 +0300

solvespace (2.3.0+git1206-49c64f7-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 49c64f7f1520160ad4584ca55382055f3111d4ac
  * Date: 1500781960
  * git changelog:
  *  49c64f7 - CMake, macOS: create bundle directory explicitly.
  *  32120ea - CONTRIBUTING, README: add XCode instructions.
  *  0b79dc2 - Update macOS build section in README.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 28 Jul 2017 01:36:44 +0300

solvespace (2.3.0+git1203-33b6e51-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 33b6e5173724ebb207c4d8450a561448b2e07e5d
  * Date: 1494193553
  * git changelog:
  *  33b6e51 - Locale LCID is a hex number, not a decimal.
  *  90e9fc7 - CONTRIBUTING: add a section on translations.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 14 May 2017 13:23:13 +0300

solvespace (2.3.0+git1201-280d5b9-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 280d5b902f95fda3727d0d12a2653c38c9675049
  * Date: 1493248074
  * git changelog:
  *  280d5b9 - TTF: avoid crashes on fonts without U+0041 LATIN CAPITAL
    LETTER A.
  *  5078907 - I18n: regenerate.
  *  ab7cdea - I18n: add a ru_RU translation.
  *  5408f73 - Fix a crash creating a group from a non-reference
    workplane.
  *  fe622a1 - Add a test for workplane request.
  *  85b4b25 - Fix a crash changing g->meshCombine when g-
    >type!=EXTRUDE.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 28 Apr 2017 10:22:52 +0300

solvespace (2.3.0+git1194-e5259d7-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: e5259d7a3eef2662b98c27853b0eda506ab62416
  * Date: 1491972683
  * git changelog:
  *  e5259d7 - Swap arc endpoints when pasting transformed with negative
    scale.
  *  5d67b42 - CMake: don't have multiple rules generating same targets.
  *  287bd98 - Fix copying and pasting image requests.
  *  99f6ea3 - Add an option to display areas of closed contours.
  *  c0b6eaa - Fix automatic marking of constraints as reference.
  *  43dc162 - Rewrite equation for pt-on-circle to avoid negative
    diameter.
  *  8fd11f4 - Fix forcing NURBS to mesh in a step group when the flag
    is inherited.
  *  ecb6550 - Change mentions of OpenGL 2 to OpenGL 3.
  *  7eb6574 - Rename TextWindow::CHAR_WIDTH to CHAR_WIDTH_.
  *  b0ea9d8 - Allow suppressing solid model of extrude and lathe
    groups.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 14 Apr 2017 09:51:21 +0300

solvespace (2.3.0+git1184-6337bbb-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 6337bbbcd6e753427bed47d7e9f43d9836e4347b
  * Date: 1490209980
  * git changelog:
  *  6337bbb - Fix a missing semicolon.
  *  aaa9c6d - Fix a texture memory leak.
  *  827f54f - GTK: ensure the editor always uses contrasting colors.
  *  911c67b - Fix benchmark harness after e2e74762.
  *  acc25ec - Fix toolbar height after 5744d1d5.
  *  ca2aad7 - Remove the "style → background image" feature.
  *  5744d1d - Implement an image request.
  *  e2e7476 - Rework path and file operations to be more robust.
  *  335c217 - Collect together and rigorously test all our ad-hoc path
    functions.
  *  60f85f5 - Win32: fix invalid accelerator labels.
  *  7e2b1b1 - Add a test for the link group.
  *  15f3490 - Make CLI usage text more readable.
  *  27b59f6 - Fix type conversion warnings.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 25 Mar 2017 10:59:52 +0300

solvespace (2.3.0+git1171-dbf6663-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: dbf66639aa17c77d105072ab689bcf657f306636
  * Date: 1489001145
  * git changelog:
  *  dbf6663 - Replace ad-hoc implementations of Basename with calls to
    it.
  *  f2f37ae - Remove dead code.
  *  9ab37c2 - README: update zlib package version.
  *  61fe8ba - GTK: take scale factor into account when positioning
    entry.
  *  8e27a5e - GTK: take margin and border size into account when
    positioning entry.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 10 Mar 2017 22:12:36 +0300

solvespace (2.3.0+git1166-9157425-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 91574254fefbc46fa5a14127b37e2a93dcb01fa1
  * Date: 1487307679
  * git changelog:
  *  9157425 - Improve handling of corner cases related to assembled
    loop normals.
  *  dea573e - Highlight normals and circle radii that have a degree of
    freedom.
  *  3bcc376 - Same orientation constraint doesn't exist in a workplane.
  *  6bc2ed9 - Remove nonexistent degrees of freedom from lathe groups.
  *  3c36d8f - Pin comments with custom styles to front layer, like
    regular ones.
  *  3121845 - Fix undefined behavior in solvespace-cli.
  *  41794db - Fix a crash in expression parser.
  *  e6ed36f - Add solvespace-debugtool, to expose some internals via
    CLI.
  *  f29d9d7 - GTK: run DoLater after the next main loop iteration.
  *  1871efa - Commit missing parts of d77f617.
  *  2e15f60 - Win32: implement support for full-screen graphics window.
  *  d77f617 - Remove the "show menu bar" option.
  *  6cf5409 - Update testsuite after ced4244.
  *  cd26256 - Travis: run tests again.
  *  97e7185 - Snap point to entity when constraining to a hovered
    entity.
  *  ced4244 - Explicitly represent the parameter used in constraints.
  *  80c7296 - Win32: do not redefine VOS_NT_WINDOWS32/VFT_APP.
  *  4260be2 - DXF: mark POLYLINE as 3d if any of the points have non-
    zero Z.
  *  baf9dc0 - Remove degenerate triangles when generating triangle
    mesh.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 17 Feb 2017 22:01:55 +0300

solvespace (2.2.0+git1147-4465bc0-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 4465bc0270ee185e5029ecacfe27665fa7fe5ab0
  * Date: 1486058990
  * git changelog:
  *  4465bc0 - CMake: do not remove translations on `make clean`.
  *  51b8828 - README: suggest release builds, as these are much faster.
  *  2794242 - Remove a redundant ReloadAllImported() call.
  *  6e88eae - Fix a path construction issue introduced in 3fc85b7.
  *  d4b052d - Fix logic introduced in 55ae10b.
  *  3fc85b7 - CLI: add the "regenerate" command, for use in Makefiles
    etc.
  *  27a5f6f - CLI: include directory name in %-replacement.
  *  67a916d - CLI: show usage when --help/-h passed.
  *  ff0af6f - Fix a typo in 495a7ac.
  *  495a7ac - Refactor the "File → Export Image" command.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 03 Feb 2017 21:33:08 +0300

solvespace (2.2.0+git1137-bb2cc4a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: bb2cc4aa568e7206bdc2d02cb3e0eb8b8d3364c5
  * Date: 1484980484
  * git changelog:
  *  bb2cc4a - GTK: do not compose rendered geometry with an alpha
    buffer.
  *  669e6f0 - Select the appropriate entity when dragging a circle or a
    normal.
  *  119b17a - Fix an occasional crash when starting to drag an entity.
  *  86f229c - Render points corresponding to a DOF in the front layer.
  *  db75e06 - Add a command to show center of mass, assuming uniform
    density.
  *  068191b - GTK: unbreak the color chooser.
  *  8749a17 - Draw constraints/entities when hovered or selected even
    if invisible.
  *  e388d9f - List applied constraints when selecting an entity.
  *  5d9356a - List constrained requests when selecting a constraint.
  *  4aae229 - Add *.slvs to gitignore.
  *  3e66807 - Fix a crash after creating a constraint.
  *  8d0e226 - CMake: do not depend on testsuite in the default target.
  *  572fbc7 - Reapply "Simplify Group::IsVisible(), GroupsInOrder()."
  *  04e86d9 - Travis: revert the hack for transient build failures.
  *  67146f6 - Revert "Simplify Group::IsVisible(), GroupsInOrder()."
  *  8370382 - Fix reference to a shader that no longer exists.
  *  5b2ad9b - Fix 2d stippling of hovered and selected faces.
  *  6931979 - Fix an OpenGL initialization glitch.
  *  5c34b3f - Allow copying and pasting of datum points.
  *  12a1a35 - Reserve space upfront when possible, to avoid re-
    allocations.
  *  fba8885 - Normalize CRLF newlines to LF when loading string
    resources.
  *  ec07516 - GTK: work around a gtkmm<3.22 bug.
  *  29e43e6 - Fall back to en_US if the system locale is not available.
  *  cde86a0 - Fix an uninitialized variable.
  *  6b67cfe - Except when using OpenGL ES 2, use OpenGL 3.2+ Core
    profile.
  *  6de5133 - GTK: default to the en_US locale if LANGUAGE is set and
    empty.
  *  022d012 - Simplify Group::IsVisible(), GroupsInOrder().
  *  43db220 - Turn newly created redundant constraints with a label
    into references.
  *  c00ab25 - Don't move points when automatically constraining
    coincident.
  *  855de07 - Automatically constrain arc or rectangle points.
  *  55ae10b - Do not hover or select entities from any pending request.
  *  96476ca - GTK: respect the scale factor when computing coordinates.
  *  fb667fb - Use a dedicated BitmapFont instance per Canvas.
  *  33c9ffb - Gettext: automatically update all translations.
  *  c12672b - Internationalize platform-specific code.
  *  aeebc3c - Gettext: fill in empty msgstrs from msgid.
  *  0eb33de - Fix typo: ua-UA → uk-UA.
  *  984f74d - Internationalize all messages without substitutions.
  *  4fda1e4 - Add ua-UA translation.
  *  da7c74a - GTK: only attempt to use libspnav on X11.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 22 Jan 2017 13:43:30 +0300

solvespace (2.2.0+git1097-00dda08-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 00dda0891797742faa4ab1afff48397afa6fd83d
  * Date: 1483619750
  * git changelog:
  *  00dda08 - Internationalize the context menu.
  *  27ac3c7 - Internationalize the toolbar.
  *  529e1bf - Internationalize the main menu.
  *  4f04406 - Implement a gettext .po file parser.
  *  387c5c5 - Fix a tearing issue while dragging a new rect.
  *  934f33f - Update zlib, libpng and Freetype submodules to latest
    versions.
  *  c385740 - Fix a dereference of an iterator one past the end.
  *  9f697af - Win32: don't display dialogs for CRT assertions, like for
    aborts.
  *  6b8f937 - Win32: fix compatibility with MSVC x64 builds.
  *  d893277 - Don't crash when trying to load a non-existent
    vector/bitmap character.
  *  02ab358 - Allow the digit group separator, "_", in expressions.
  *  daf3c7b - GTK, Win32: always map keypad decimal separator to dot.
  *  f1d4c4a - README: point to CONTRIBUTING where relevant.
  *  2eb9342 - README: update Windows version requirement.
  *  e127b28 - CMake: allow building the CLI without the GUI.
  *  9253e5f - GTK: update gtkmm dependency.
  *  6bb73a1 - GTK: remove GlWidget, use standard Gtk::GLArea.
  *  7dbbd75 - Drop support for GTK 2.
  *  25631d4 - Choose entities to select in a way appropriate for the
    operation.
  *  d99a133 - Do ScheduleGenerateAll in MarkGroupDirty.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 06 Jan 2017 15:20:48 +0300

solvespace (2.2.0+git1077-9148d0c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 9148d0cb91ad4bf6800ba722a9c8ef6378b5aa1e
  * Date: 1482349233
  * git changelog:
  *  9148d0c - Force DOF check every time a constraint is added.
  *  10251c6 - In OpenGl2Renderer, do not issue a draw call per
    DrawVectorText call.
  *  727c0a9 - Draw projected lines for pt-line-distance constraints in
    3d.
  *  5763972 - Don't apply scale twice for text if both height and
    stroke are in mm.
  *  626ffea - github: add an ISSUE_TEMPLATE file.
  *  d6e2ac8 - test: add tests for ExprParser, and fix two crashes.
  *  11adaf2 - README: update Linux dependencies.
  *  15571ef - Fix swapped operands in boolean operators in expression
    parser.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 24 Dec 2016 13:04:50 +0300

solvespace (2.2.0+git1069-3dd2fc0-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 3dd2fc0093d78bd975c98c798b441b8fe267ff6a
  * Date: 1481350223
  * git changelog:
  *  3dd2fc0 - Add CONTRIBUTING.md.
  *  4356827 - Unix: add FreeBSD compatibility for
    FindLocalResourceDir().
  *  374d1b5 - Win32: simplify.
  *  6fcf1bb - Somewhat improve rendering of transparent meshes.
  *  4a0b4fd - Win32: unbreak solvespace-cli.
  *  679a1f0 - Win32/MSVC: garbage-collect symbols even in debug builds.
  *  d1ddc6e - Win32: fix inclusion of manifest, to get back visual
    styles.
  *  6989a3d - CMake: Cairo is required for CLI, not just tests.
  *  3858cbe - Fix a possible use-after-free in OpenGl2Batch.
  *  b975380 - Fix refactoring issue in gl2shader.h.
  *  47244c5 - Implement a command-line interface.
  *  dbc567e - Reload linked files before upgrading legacy data.
  *  9301dec - Use the same code for loading resources in all
    executables.
  *  7681f6d - Refactor insertion into BSP tree.
  *  d37f53e - Improve performance of face picking.
  *  7758844 - Do not re-solve groups that converge but fail rank test.
  *  f5485cb - Rewrite equations generated for same-orientation
    constraints.
  *  78d141c - Rewrite equations generated for curve-line tangent
    constraints (in 3d).
  *  3d6d873 - Rewrite equations generated for parallel constraints (in
    3d).
  *  cc07058 - Rewrite equations generated for pt-on-line constraints.
  *  8f93136 - DXF: Import Z coordinate from DXF/DWG files.
  *  41365c5 - DXF: Fix export of wireframe as 3D DXF.
  *  aaab8a0 - Fix a crash when extruding TTF text.
  *  4362954 - Update ANGLE.
  *  37defcb - Unbreak Camera::UnProjectPoint3.
  *  01ae452 - Unbreak drawing of DEPTH_ONLY meshes via OpenGL 2 batch
    canvas.
  *  61f2488 - Refactor expression parsing.
  *  8dc60f6 - Fix Windows build with -DOPENGL=1.
  *  d3f2ac7 - Remove most dependencies on config.h.
  *  369b0a3 - Optimize toggling visibility of normals, points, edges,
    outlines.
  *  683ac78 - Optimize FromTransformationOf for performing identity
    transformation.
  *  0ae0343 - Add a simple benchmarking harness.
  *  9a0f2c3 - Fix detection of transparent meshes.
  *  73844f7 - Draw triangle back faces like the front, unless we draw
    them in red.
  *  c8ff17f - Add OpenGL 2 support on Windows using ANGLE.
  *  9db50ed - Refactor the renderer frame flush functionality.
  *  156fe73 - Allow using z-index in UiCanvas, and use it for tooltips.
  *  92773a5 - Implement BatchCanvas for GL2.
  *  52557ee - Add an interface for view-independent rendering.
  *  6d2c2ae - Implement an OpenGL 2 renderer.
  *  f8824e1 - Reimplement drawing of the mesh wireframe.
  *  e56630e - Fix creation of workplane based on a workplane.
  *  c97ba6b - Optimize IdList::MaximumId() from O(n) to O(1).
  *  ea0a1b7 - Fix uninitialized variable warnings.
  *  802d092 - When exporting files, initially fill in the basename of
    the sketch.
  *  e681ba3 - Rephrase the error message for sketch in workplane
    creation.
  *  3c45158 - Add an ability to create a workplane with another
    workplane.
  *  c727752 - Fix error message shown when exporting mesh with wrong
    extension.
  *  489ae66 - Fix crash when trying to import not .dxf or .dwg files
  *  fdd08cb - Warn if exporting a non-watertight mesh.
  *  3b24139 - Fix rendering of horizontal/vertical constraint labels.
  *  1ec36fc - Add missing newline in OutputDebugStringA invocation.
  *  9673225 - Fix a crash when adding a symmetric constraint on a line.
  *  a0d7f1d - Optimize GroupsInOrder.
  *  13d4a1b - Fix memory leak in RemoveTagged.
  *  7b9d730 - Hide OpenGL implementation details.
  *  f5e955a - README: add gdb and lldb debugging instructions.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 10 Dec 2016 09:47:16 +0300

solvespace (2.2.0+git1012-afecbcc-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: afecbccb0f89e9288c20a06ace8bea998ec3aac7
  * Date: 1478365517
  * git changelog:
  *  afecbcc - OS X: fix another out-of-bounds TW.META access.
  *  d151eb5 - CMake: reject in-tree builds.
  *  b846401 - Update CHANGELOG.
  *  74cb1f5 - Add two more points to the TTF text request.
  *  23feb4c - TTF: use metrics of 'A' to determine cap height.
  *  7bd6ade - TTF: actually use CID as GID when CID-to-GID mapping is
    absent.
  *  b8bec35 - TTF: only call FT_Request_Size once after loading.
  *  0e72c60 - tests: fix bugs and inefficiencies in PrepareSavefile.
  *  505f503 - Don't consider workplane origin point for bounding box
    calculation.
  *  600c39d - Don't consider arc center point for bounding box
    calculation.
  *  cdd6174 - tests: remove CHECK_RENDER from migrate_from_v* tests.
  *  071a7ac - tests: bulk add of migrate_from_v22 tests.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 12 Nov 2016 23:30:18 +0300

solvespace (2.2.0+git1000-592bea8-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 592bea81097588d66ab02b1dc4cb7817d53cdd8f
  * Date: 1477122942
  * git changelog:
  *  592bea8 - Travis: add IRC notifications.
  *  f619a4b - GTK: add a no-op glXSwapBuffers call for apitrace.
  *  345c982 - OS X: don't crash in GetSaveFile() if default extension
    is invalid.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 29 Oct 2016 11:46:28 +0300

solvespace (2.1.0+git997-90987d3-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 90987d3ee427f5a06df3e5ce4f81d71f252b2aba
  * Date: 1476418520
  * git changelog:
  *  90987d3 - Fix a rendering bug introduced in 9f97e9a.
  *  3a585ea - Try to re-solve groups that fail rank test.
  *  b2092ea - Write params if system is solved as REDUNDANT_OKAY.
  *  8e329ca - Fix a memory leak in
    test/group/translate_asy/normal_inters.
  *  b37aba0 - Preserve stipple phase across separate piecewise linear
    segments.
  *  47288e9 - Stitch outlines before display to preserve phase of
    stippling.
  *  186911a - Factor out PolylineBuilder from DXF export code.
  *  d2c2503 - Fix many rendering bugs introduced in df83ee4 and
    9f97e9a.
  *  ea52fcb - Remove unnecessary GenerateAll/ZoomToFit calls in
    AfterNewFile.
  *  62f5f69 - Print a debug message for generations that are taking a
    long time.
  *  2ccf595 - Allow creating n-dimensional arrays with translate and
    rotate groups.
  *  6658b1f - Allow combining extrude, lathe, translate and rotate
    group as assemblies.
  *  5462fc6 - OS X: map the backspace key to the "Delete" function.
  *  90f10cc - OS X: set scroller knob style to light.
  *  b5f5e05 - OS X: don't remap OK in message boxes to Escape.
  *  b036380 - OS X: revert "sort out window visibility and focus."
  *  291e16e - Fix a few compiler warnings.
  *  363f5c1 - Fix BitmapFont to not lose texture updates.
  *  af226b2 - Fix rendering of reference axes in bottom left corner.
  *  9f97e9a - Allow selecting unit (px/mm) in Canvas::Stroke.
  *  a5c7fc6 - Disable closed contour check in the test harness.
  *  df83ee4 - Factor out Style::Stroke.
  *  1108a6f - Use Canvas::Stroke, not Canvas::Fill, for drawing a
    point.
  *  e80a3a0 - Fix a buffer overrun in ssprintf.
  *  ffa1046 - Fix spelling error.
  *  f4e8512 - Wavefront OBJ: export mesh color as well.
  *  aa95850 - GTK: use 3DConnexion button 0 instead of
    SI_APP_FIT_BUTTON.
  *  b10e621 - Rephrase error messages that say "select a workplane".
  *  456c987 - Use transparent white fill color for drawing pixmaps, not
    black.
  *  e9725bd - Update CHANGELOG.
  *  9febc57 - Travis: install libstdc++ 5.
  *  93da883 - Debian: remove in-tree packaging.
  *  66ed417 - Fix a handle leak in TtfFontList::PlotString.
  *  476860a - Normalize the string returned by Extension() to
    lowercase.
  *  2371068 - Don't regenerate the entire sketch in AddRequest().
  *  0e66eaf - OS X: correctly parse output of otool -D.
  *  3ff236c - Mark group dirty when clicking "allow redundant
    constraints" link.
  *  9bcba4b - Fix incorrect rendering of XYZ axes in the bottom left
    corner.
  *  a8e7233 - Replace convenience #defines with const auto references.
  *  f5a37ae - OS X: fix out-of-bounds TW.META access.
  *  4537444 - Travis: add a few more retries to OS X build script.
  *  21a4305 - Add "Zoom to Fit" to context menu.
  *  2f64f18 - Add "Select All" to context menu for no selection.
  *  2f4c6a6 - Add "Toggle Construction" to context menu.
  *  da2d035 - Remove exact numeric values from ContextCommand.
  *  c43a198 - Win32: add proper Unicode support to message boxes.
  *  fbd89a7 - Update 819c4c5 for Wine compatibility.
  *  819c4c5 - GL1: work around lack of NPOT textures in Windows OpenGL
    renderer.
  *  7787923 - MinGW: unbreak the test harness.
  *  d12bf04 - Update 58db06d8 to not even try to use std::fstream with
    Unicode paths.
  *  fb87431 - Fix a numeric conversion warning.
  *  58db06d - DXF: update to use Unicode-aware file open routines on
    Windows.
  *  fd54e5a - Make translate/rotate groups inherit the "suppress solid
    model" option.
  *  06a188c - GTK: show files with uppercase extensions in file open
    dialog.
  *  cd5b5b2 - Travis: update brew installation instructions.
  *  e7edc39 - Alias the "=" key to "+" key.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 15 Oct 2016 18:37:20 +0300

solvespace (2.1.0+git941-ffd9c62-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: ffd9c6241a54fc5daf734f6b0d8e73267ec99cee
  * Date: 1472403036
  * git changelog:
  *  ffd9c62 - Fix a crash when adding a symmetric constraint on two
    points.
  *  b9d3756 - Recognize .ngc as a valid G-Code export extension.
  *  a1e18ae - GlOffscreen: create color/depth renderbuffers separately.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 02 Sep 2016 22:54:54 +0300

solvespace (2.1.0+git938-991909d-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/solvespace/solvespace.git
  * Branch: master
  * Commit: 991909d7949e69027f042e5dc3a72f5db1112adf
  * Date: 1471139373
  * git changelog:
  *  991909d - Show pt-ln distance projected onto workplane when one is
    active.
  *  f998293 - Allow displaying outlines without any other edges.
  *  4c30c09 - Correctly draw vector text for constraints free in 3d.
  *  efd358d - Unbreak PNG export.
  *  6e860fb - Make "Show/hide hidden lines" a tri-state button instead.
  *  8ce2922 - Refactor text window buttons to allow for more custom
    behavior.
  *  e2e9167 - Get rid of the MAX_SELECTED restriction in
    GroupSelection().
  *  0bf6167 - Update CHANGELOG.
  *  e381c70 - DXF export: always declare layers before using them.
  *  35a20ae - GTK: fix an uninitialized variable.
  *  065a0a8 - Forcibly show the current group once we start a drawing
    operation.
  *  b2ab15c - Do not clear selection during operations that don't need
    it.
  *  cf9c331 - Update libdxfrw.
  *  8bf55b3 - Fix multiple memory leaks found with LeakSanitizer.
  *  fbe2705 - CMake: disable unsigned overflow sanitizer check.
  *  415a6d3 - Travis: build with clang, so that we can use its
    sanitizers.
  *  068ed28 - CMake: fix typo.
  *  f8b6c33 - CMake: use pkg-config directories in test/.
  *  e462387 - Add tests to cover 95.3% of constrainteq.cpp branches.
  *  4b49442 - Align constraint lines to pixel grid.
  *  ba1cd83 - README: clarify Windows instructions.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 20 Aug 2016 06:27:06 +0300

solvespace (2.1.0+git917-f2633e4-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: f2633e4a57ba0fef8864b62ef04a09baa66e15d6
  * Date: 1470060196

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 03 Aug 2016 11:52:05 +0300

solvespace (2.1.0+git888-7f411d1-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 7f411d1593b766e081f8bcafcabc09df00241f8a
  * Date: 1469313676

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 24 Jul 2016 11:29:24 +0300

solvespace (2.1.0+git871-32a2a4d-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 32a2a4dbd9fb67bddc86d49d91e52d393753ef67
  * Date: 1467219527

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 09 Jul 2016 18:43:13 +0300

solvespace (2.1.0+git866-ced5b78-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: ced5b784200894d50de98c366c40d05f75755390
  * Date: 1466683847

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 24 Jun 2016 23:31:08 +0300

solvespace (2.1.0+git858-251948b-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 251948bdbd5c4987eab68be5b6b023045f427296
  * Date: 1466046345

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 18 Jun 2016 17:28:05 +0300

solvespace (2.1-1) unstable; urgency=low

  * Initial release (Closes: #123456)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 17 Jun 2016 23:26:33 +0300
